commit a748e83
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Feb 4 08:53:44 2015 -0800

    Qt: Add "Copy As..." to the Protocol Hierarchy stats.
    
    This implementation is slightly different compared to other dialogs
    since we have nested items.
    
    Tweak the bar highlight color look better on Windows while we're here.
    
    Change-Id: If0607c4624f304042fe3d6c8a941756b342e703d
    Reviewed-on: https://code.wireshark.org/review/6953
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a8cc331
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Feb 4 09:44:40 2015 -0800

    Update the release notes.
    
    Change-Id: Id4fc195e54dba19f697d20d2085f2e1f922c8ced
    Reviewed-on: https://code.wireshark.org/review/6954
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit febc842
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Feb 4 10:02:41 2015 -0500

    Update README.wmem, release notes for emem removal
    
    Change-Id: Iac5066ff97d26de1660c38b9cd3f17781a521823
    Reviewed-on: https://code.wireshark.org/review/6949
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 150dd22
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Feb 4 15:55:05 2015 +0100

    [INAP] Make INAP a new style dissector and add an OID dissector for
    0.4.0.1.1.1.0.0 cs1-ssp-to-scp.
    
    Change-Id: Ib7261ef199d7a3aedaed14e7f869af8b64c21c92
    Reviewed-on: https://code.wireshark.org/review/6948
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d9e82b7
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Feb 4 14:04:27 2015 +0100

    [INAP] Add dissection of Cause
    Ping-Bug:10910
    Change-Id: I131d81b0d6332cc72e7b32dc81cb7fec4ca3d407
    Reviewed-on: https://code.wireshark.org/review/6947
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0a6d1f9
Author: gal <graeme.lunt@smhs.co.uk>
Date:   Tue Feb 3 15:55:05 2015 +0000

    Support for P3 over RTSE.
    
    Resolve mixed space/tab issue in the RTSE and BER dissectors and included modelines in both templates.
    
    Change-Id: I4b75bad94ed111d0faee205e026b2322b7dafbd1
    Reviewed-on: https://code.wireshark.org/review/6932
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9875181
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Feb 4 13:24:57 2015 +0100

    [CAMEL] Dissect additionalCallingPartyNumber.
    Ping-Bug: 10914
    Change-Id: I28eb9d7b5192a02f82fe604d20e57aedd706f528
    Reviewed-on: https://code.wireshark.org/review/6946
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 94011c1
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Feb 4 09:52:54 2015 +0100

    [QNET6] Try to fix solaris buildboot.
    /Users/buildslave/Documents/wireshark/osx105x86/build/epan/dissectors/packet-qnet6.c:1502: warning: 'hf_index' may be used uninitialized in this function
    /Users/buildslave/Documents/wireshark/osx105x86/build/epan/dissectors/packet-qnet6.c:1502: note: 'hf_index' was declared here
    /Users/buildslave/Documents/wireshark/osx105x86/build/epan/dissectors/packet-qnet6.c:1502: warning: 'hf_index_off' may be used uninitialized in this function
    /Users/buildslave/Documents/wireshark/osx105x86/build/epan/dissectors/packet-qnet6.c:1502: note: 'hf_index_off' was declared here
    /Users/buildslave/Documents/wireshark/osx105x86/build/epan/dissectors/packet-qnet6.c:1500: warning: 'sstree' may be used uninitialized in this function
    /Users/buildslave/Documents/wireshark/osx105x86/build/epan/dissectors/packet-qnet6.c:1500: note: 'sstree' was declared here
    /Users/buildslave/Documents/wireshark/osx105x86/build/epan/dissectors/packet-qnet6.c:1502: warning: 'hf_index_len' may be used uninitialized in this function
    /Users/buildslave/Documents/wireshark/osx105x86/build/epan/dissectors/packet-qnet6.c:1502: note: 'hf_index_len' was declared here
    
    Remove not needed includes.
    
    Change-Id: Iac91954b3d6c8f9799c6fe816af93376419d1b21
    Reviewed-on: https://code.wireshark.org/review/6945
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9f78bf6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 3 23:39:05 2015 -0800

    Use QNX_PC_ for QNX's pathconf parameter values.
    
    The numerical values are platform-specific, so call them QNX_PC_; that
    also avoids collision with the values on the platform on which we're
    building Wireshark (such a collision broke the Solaris build).
    
    Change-Id: I04291eccb818a290eb44eadb17a56ed684285a70
    Reviewed-on: https://code.wireshark.org/review/6944
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f2cb59a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 17 17:03:11 2014 +0200

    Add QNX' QNET protocol
    
    no ethertype 0x8203-0x8205 support in trunk.
    0x8204 is QNX OS VER 6's qnet ethernet protocol number.
    
    Bug:3934
    Change-Id: I52555b568c3a304f1512fe25f949330b46f49a93
    Reviewed-on: https://code.wireshark.org/review/6363
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0f353c9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 8 17:35:58 2015 +0100

    HTTP2: Add tap for HTTP2 dissector
    
    Change-Id: Ib13d9391b64dad19321a4399c95b95d7fb791284
    Reviewed-on: https://code.wireshark.org/review/6421
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ef929ad
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Feb 3 18:02:29 2015 -0500

    TOS-specific forwarding blocks aren't actually required: don't warn when they
    aren't present.  Only warn if no forwarding blocks are present.
    
    Simplify the code a bit while also removing a proto_tree_add_text().  (There
    are a number of similar proto_tree_add_texts()s here.)
    
    Hang the "no forwarding blocks" expert info off the LSA item rather than off
    the Metric.  The warning is about how much data is in the LSA--it has
    nothing to do with the Metric.
    
    Ping-Bug: 6302
    Change-Id: I1903ba5ad78101ec4fa2602a1f21e8192f1d8d53
    Reviewed-on: https://code.wireshark.org/review/6943
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8efe6b7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 28 17:59:48 2015 +0100

    RADIUS: Sync with FreeRADIUS Master
    
    commit 852f15c72d41c637865776d5b80097e8ffbbb444
    Author: Alan T. DeKok <aland@freeradius.org>
    Date:   Mon Jan 26 13:08:21 2015 -0500
    
        As found on the net
    
    commit 53bf263d6ca9010acdc004bada894b1bfe0ed676
    Author: Tobias Hachmer <tobias@hachmer.de>
    Date:   Mon Jan 26 13:45:04 2015 +0100
    
        add perle dictionary
    
    Change-Id: I15dd8705277f3a0cedd2ea12a7cac9974dadf3c0
    Reviewed-on: https://code.wireshark.org/review/6835
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bee4fb0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Feb 3 09:14:45 2015 +0100

    CAPWAP: Use proto_tree_add_bitmask(_with_flags)
    
    Change-Id: I39ff2e15b91981111f8de091e6e5dfb7586b4599
    Reviewed-on: https://code.wireshark.org/review/6937
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7ced085
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Feb 3 17:15:23 2015 -0500

    emem is dead! Long live wmem!
    
    Change-Id: Iddd1200e62bf3200cb1a68408378dd9d47120b77
    Reviewed-on: https://code.wireshark.org/review/6939
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 90a76e0
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Feb 3 23:27:01 2015 -0500

    Convert val_to_str -> val_to_str_wmem.
    
    This is mostly for GUI usage, but a few dissectors needed some "non-packet scope" conversions.
    
    val_to_str officially now uses wmem_packet_scope()
    
    Change-Id: Ic9413eeb3406d7a7683222b86709f3675d628d81
    Reviewed-on: https://code.wireshark.org/review/6933
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 74547db
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Feb 3 08:45:41 2015 +0100

    MySQL: Add Server ext caps and Auth Plugin Length to Server Greeting
    
    Ping-Bug: 10346
    Change-Id: I1b2bd3e9b1dc01118c48c6e159c9a06d4daa061b
    Reviewed-on: https://code.wireshark.org/review/6936
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c256bbe
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Feb 3 08:32:13 2015 +0100

    MySQL: Use proto_tree_add_bitmask(with_flags)
    
    Merge also mysql_dissect_caps_client and mysql_dissect_caps_server
    and rename mysql_dissect_extcaps_client to mysql_dissect_extacps (it will be reused soon)
    
    Ping-Bug: 10346
    Change-Id: I6543363a337d7bbfddba6dd699697a257a2cbb49
    Reviewed-on: https://code.wireshark.org/review/6935
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 18bc353
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Feb 2 09:46:36 2015 +0100

    MySQL: Add support of AuthSwitchRequest/AuthSwitchResponse
    
    Bug: 10351
    
    Ping-Bug: 10346
    
    Change-Id: I730080a0aef293c3c8119f6c762ee246227bd07a
    Reviewed-on: https://code.wireshark.org/review/6915
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Daniël van Eeden <wireshark@myname.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 66fc81b
Author: cbontje <cbontje@gmail.com>
Date:   Mon Feb 2 10:09:58 2015 -0700

    SEL Protocol Maintenance (1/2)
    
    - Clean up naming conventions & variables
    - 'SEL Protocol' is the entire protocol suite
    - 'Fast SER' is a function code of 'Fast Message' sub-type
    
    'selfm' will remain the protocol name in Wireshark so no major architecture naming changes are anticipated
    
    Change-Id: Idc5117dcede0b61c61c0c64d5cd20199535ed471
    Reviewed-on: https://code.wireshark.org/review/6919
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9e1ddb5
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Feb 3 21:12:07 2015 -0500

    Only set HAVE_LUA if we, er, have Lua.
    
    Change-Id: Idb6f1dfa06c2b4e5d9e1f77743f13b4e0a6d8afe
    Reviewed-on: https://code.wireshark.org/review/6942
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 89e6f4c
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Feb 3 08:39:14 2015 -0800

    Qt: Add the Protocol Hierarchy statistics dialog.
    
    Change-Id: I6872e323daca4798c638d764873f54c4c0dc0006
    Reviewed-on: https://code.wireshark.org/review/6934
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 342ba90
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Feb 3 17:13:49 2015 -0800

    Minor WSDG updates.
    
    Change-Id: I847af9ef7f18b271a5a2dc8da6c5817735a8c856
    Reviewed-on: https://code.wireshark.org/review/6941
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 4fe8ca0
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Fri Jan 23 07:36:50 2015 -0500

    Simplify how we find Lua and expand the places we look.
    
    First, it appears some packagers actually ship a pkg-config file for Lua.
    Try to use it.  (Unfortunately the package name varies so we have to try
    several package names.)
    
    If that fails, try to find Lua directly, accounting for the various naming
    conventions we've seen.
    
    Bug: 10475
    Bug: 10572
    Change-Id: I82e789c466a488dc12431cdd90c49b4c1052414a
    Reviewed-on: https://code.wireshark.org/review/6756
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 0e74e8b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Feb 3 16:25:01 2015 -0800

    Decorate declarations with G_GNUC_PRINTF() as appropriate.
    
    Decorate val_to_qstring() and val_ext_to_qstring() similarly to
    val_to_str_wmem(); this squelches some compiler warnings.
    
    Change-Id: I86e102e7c0a1a135be9492b7d605001c5d922031
    Reviewed-on: https://code.wireshark.org/review/6940
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit deabe64
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Feb 3 16:02:52 2015 -0800

    Don't build app_bundle by default.
    
    As it turns out, building the app bundle makes wireshark-gtk unusable.
    
    Change-Id: Ic3608f0a485c3ec4ea21fbc2e7194553eda8c806
    Reviewed-on: https://code.wireshark.org/review/6938
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b8f040c
Author: Dario Lombardo <lomato@gmail.com>
Date:   Mon Feb 2 10:37:17 2015 +0100

    Dumpcap: avoid collecting stats on nf* interfaces.
    
    On Linux nf* interfaces don't collect stats properly and don't allows multiple connections.
    
    Change-Id: I69d8f343017d77bda313de7d2c501fab542f2e9b
    Bug: 10886
    Reviewed-on: https://code.wireshark.org/review/6796
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9b22a2f
Author: Dario Lombardo <lomato@gmail.com>
Date:   Thu Jan 8 09:44:15 2015 +0100

    Updates in it translation.
    
    This fixes also the "duplicate messages" error.
    
    Change-Id: Iec93d82d4776c4f9805c5bfa2b2453c22b0e24e8
    Reviewed-on: https://code.wireshark.org/review/6929
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 33bdb21c
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Feb 3 11:58:28 2015 -0500

    xtp: Don't call col_...() under 'if (tree)'
    
    Change-Id: Ie80476e919b5ba0a2e5f036c654a5379b91ddd32
    Reviewed-on: https://code.wireshark.org/review/6931
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit a2eec54
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Feb 3 08:56:42 2015 -0800

    BT ATT: Fix what appears to be a value string mismatch.
    
    Change-Id: I440ed41c659bed9dcee43d8388ad780015971611
    Reviewed-on: https://code.wireshark.org/review/6930
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b635997
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Feb 2 19:58:29 2015 -0500

    Convert val_to_str_ext -> val_to_str_ext_wmem for calls that don't have valid packet scope (GUI).
    val_to_str_ext now officially uses wmem_packet_scope().
    
    Removed const from val_to_str[_ext]_wmem return value since it's not really constant.
    
    Created utility functions in qt_ui_utils.h to help with the new memory management for its GUI.
    
    Change-Id: Idf2ce4a4ce78d628b2269ad23a3a48fbfc9c077c
    Reviewed-on: https://code.wireshark.org/review/6926
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e942973
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Jan 28 17:14:48 2015 +0100

    Bluetooth/USB HID: Move boot form of reports from bthid to usbhid
    
    Then call it as new dissectors from bthid and btatt.
    In future they will be used in usbhid, because they are part of HID.
    
    Change-Id: I9cb545f3079c27945b17bf8791ba4e3736c29e7c
    Reviewed-on: https://code.wireshark.org/review/6912
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 8417fbf
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Feb 2 23:51:36 2015 -0800

    Initialize the entire UUID.
    
    Squelches a compiler warning.
    
    Change-Id: I050710dd296f7fe7d315f881b0edf43699d2fa91
    Reviewed-on: https://code.wireshark.org/review/6928
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ca3fe28
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Jan 7 12:16:15 2015 +0100

    Bluetooth: ATT: Dissect almost all attributes
    
    Change-Id: Ia388c07150d9664327daf2d1990b4465b5f4ae28
    Reviewed-on: https://code.wireshark.org/review/6910
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 60b9be9
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Jan 6 18:42:38 2015 +0100

    Bluetooth: ATT: Dissect Read Multiple Response
    
    Change-Id: Ifcbde05389901bd66355e42540f3850bfd55def5
    Reviewed-on: https://code.wireshark.org/review/6909
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit db068ff
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Jan 6 14:06:18 2015 +0100

    Bluetooth: ATT: Decode some HOGP attributes
    
    Change-Id: I169f767b699a2f95e5a1553f1380f0b88cd7c67d
    Reviewed-on: https://code.wireshark.org/review/6908
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 73579dd
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Jan 5 13:36:45 2015 +0100

    Bluetooth: ATT: Dissection stage 3: Assign UUID to Handle
    
    Add possibility to dissect attributes by UUID assigned to handle.
    
    Change-Id: I0e510bf902492f87e0eaee339d82609c37e12741
    Reviewed-on: https://code.wireshark.org/review/6905
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 8ba3d6f
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Dec 31 10:52:28 2014 +0100

    Bluetooth: ATT: Dissect GATT level
    
    ATT dissector is now able to decode GATT level fields.
    This is results of added request-response tracking/share information.
    
    Change-Id: I41ac622a38916a7a20f625fa30ac72d7812446c6
    Reviewed-on: https://code.wireshark.org/review/6904
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 33f1256
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Mon Feb 2 21:28:01 2015 -0500

    Fix nameless application in NokiaSolutionsAndNetworks.xml (from
    I4cd9bd7f7219e4d9ff1bb8a71fab32439a8a9a35).
    
    (The nameless application was causing known applications to be reported as
    unknown.)
    
    Add code to the Diameter dissector to report such problems at startup (similar
    code exists for other entities).
    
    Tweak the parser debug slightly.
    
    Change-Id: I6b28cda8660e6eb96648c7b3697d7fd85151ac96
    Reviewed-on: https://code.wireshark.org/review/6927
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 00f7bc4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Feb 2 16:22:31 2015 -0800

    Qt: Fix IO Graph capture file closing.
    
    Make sure our IOGraphs remove their respective tap listeners before the
    capture file closes, otherwise the graph data ends up getting cleared
    via reset_tap_listeners.
    
    Bug: 10871
    Change-Id: I0ef2af2dc84be1921a930df8bb68f63626aa874a
    Reviewed-on: https://code.wireshark.org/review/6925
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9d7f5c7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Feb 2 22:28:59 2015 +0100

    ISIS: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I58debb32cc7a4aa476961eda342f1cd90884c800
    Reviewed-on: https://code.wireshark.org/review/6921
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 383caa7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Feb 2 22:28:25 2015 +0100

    AMQP: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ie55dd06b6c4d6f77012e8e13079279ded2997907
    Reviewed-on: https://code.wireshark.org/review/6920
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ec618b5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Feb 1 20:13:13 2015 +0100

    HTTP2: Fix offset for heuristic
    
    With >= draft-14, length is encoded in 3 octets (2 octets before)
    
    Bug: 10908
    Change-Id: I061570186206548fafcc39a8df0ba6bafe8576a0
    Reviewed-on: https://code.wireshark.org/review/6883
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 71fd34d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Feb 2 14:32:28 2015 -0800

    WSUG: Chocolatey updates.
    
    Move PowerShell and Chocolatey to the top of the quick setup since most
    of the instructions now have a "Chocolatey" example.
    
    Use "choco install" instead of "cinst" to match the pages at
    chocolatey.org/packages.
    
    Show how to install Cygwin and Python using Chocolatey.
    
    MAC = Media Access Control (among other things). Mac = Macintosh.
    
    Change-Id: Ic6aabacdd3a86b4e8ca556cc6f3daa62c3e5986b
    Reviewed-on: https://code.wireshark.org/review/6924
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 37a2cd0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Feb 2 22:58:41 2015 +0100

    AMQP: fix declaration of 'index' shadows a global declaration
    
    St*** Mac OS X buildbot...
    
    Part 2 (Oups...)
    
    Change-Id: I082d73d4581365d7152aca764e4dfe599ce12c64
    Reviewed-on: https://code.wireshark.org/review/6923
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 0b2c8b0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Feb 2 22:46:08 2015 +0100

    AMQP: fix declaration of 'index' shadows a global declaration
    
    St*** Mac OS X buildbot...
    
    Change-Id: I5efff34ce818f52fb6414191c58b5cabb388ba26
    Reviewed-on: https://code.wireshark.org/review/6922
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c96b3ac
Author: Petr Gotthard <petr.gotthard@centrum.cz>
Date:   Sat Jan 31 16:52:51 2015 +0100

    AMQP 0-9-1: Fix dissection of field types.
    
    This patch resolves review comments I received from the AMQP 0-9-1 community.
    Some field types were not implemented, other field types (introduced by my
    earlier patch) were incorrectly parsed.
    https://groups.google.com/forum/#!topic/rabbitmq-users/PR7P1bgonwo
    
    I had to split the dissect_amqp_0_9_field_table() function into two parts
    and put the field value dissectors in a separate function:
    dissect_amqp_0_9_field_value().
    
    Change-Id: I9aa7d73e426a790830ad260ca6892a7650791e6c
    Reviewed-on: https://code.wireshark.org/review/6882
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 9f4bf6a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Feb 2 16:02:59 2015 +0100

    LTE RRC: only display band mapping for the initial supportedBandListEUTRA IE
    
    Handling bands > 64 would require to store the mapping in file scope and current code is broken for the Carrier Aggregation band combination list
    
    Change-Id: I9f10022a50520ca9bc16a33f2c16361729f1b01b
    Reviewed-on: https://code.wireshark.org/review/6917
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit e102c34
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Mon Feb 2 16:11:40 2015 +0000

    Minor doc changes for Windows build
    
    Further removal of older style build environment.
    
    Change-Id: I499ba50f55620ad627de3dc4316051985d00a7f5
    Reviewed-on: https://code.wireshark.org/review/6918
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 6db0a35
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 31 08:06:05 2015 -0500

    Create wmem versions of val_to_str and val_to_str_ext
    
    These will be used to replace cases where packet-scope isn't valid for val_to_str/val_to_str_ext calls
    
    Change-Id: Ie8a4c423a8608548c837c1ae7edde52c4d728340
    Reviewed-on: https://code.wireshark.org/review/6880
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit bdaef53
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Feb 2 13:37:50 2015 +0100

    Try to fix builbot OSX 10.5 buildbot false-positive
    
    Change-Id: If62eba937326ac5119bde97d9a827e165825b377
    Reviewed-on: https://code.wireshark.org/review/6914
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 003e337
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Feb 2 09:57:23 2015 +0100

    Fix some indent typo (after g2bf7878e)
    
    Change-Id: I44769f127f32ffd8a97b1579f371501f4aa9832a
    Reviewed-on: https://code.wireshark.org/review/6913
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6521771
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sun Jan 18 10:44:04 2015 +0100

    Bluetooth: Simplify to "UnknownDirection" in Info column when direction is unknown
    
    Change-Id: Ibad679c0b6c95d65389ce087f65b8f31cf3acd68
    Reviewed-on: https://code.wireshark.org/review/6903
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 1786cfe
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Jan 19 14:27:29 2015 +0100

    Bluetooth: Advertising Data: Fix Service Data entry
    
    Service Data entry is defined as UUID (16, 32 or 128) and
    rest of payload is specific service data.
    
    Bug: 10859
    Change-Id: Ibaee075a66a144dfc52ed70614677c73a88d6a2c
    Reviewed-on: https://code.wireshark.org/review/6902
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 578c2be
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sun Jan 11 11:34:17 2015 +0100

    Bluetooth: btle_rf: Use proto_tree_add_bitmask
    
    Change-Id: I79143cb788a13bd67ce2bd515b2b90d427dbcfcb
    Reviewed-on: https://code.wireshark.org/review/6901
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit ef6f6f0
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Jan 22 09:54:30 2015 +0100

    Bluetooth: AVCTP: Improve IPID handling
    
    If profile is invalid (IPID=1) then add expert info.
    
    Change-Id: Id102e51eefe7e5e6314c3677468cb66573e5a893
    Reviewed-on: https://code.wireshark.org/review/6900
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit c4f08ec
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sat Jan 17 15:07:47 2015 +0100

    Bluetooth: HCI Vendor: Fix for "Enable WBS" command
    
    Codec value for mSBC is 0x02 (not 0x01), also "Codec" field
    does not appear when Codec state in Disable.
    
    Change-Id: I4f0b27d0dc8659fdc054eaf18b54a42aad60275b
    Reviewed-on: https://code.wireshark.org/review/6899
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 359ff31
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Dec 29 11:07:22 2014 +0100

    Bluetooth: HCI: Improve detecting of undecoded and unknown commands
    
    Undecoded command - command does exist in specification,
                        but not fully implemented in Wireshark yet
    Unknown command - command does not exist in specification or
                      it is quite new and opcode number is not added yet
    Unexpected parameter - is now working correctly that means if
                           there is known command but too many parameters
                           so user should know about this issue
    
    Change-Id: If3ee24f617f7e6683049558f7a6d68e346e7c92f
    Reviewed-on: https://code.wireshark.org/review/6898
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 2cae320
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Feb 1 13:56:39 2015 -0800

    CMake: Build a complete application bundle on OS X.
    
    Run osx-app.sh by default on OS X. Aside from giving us a fully portable
    application bundle after building this should let us clear our library
    path at startup should the need arise. Change the name of the osx-app
    target to app_bundle.
    
    Search ../Frameworks before ../lib. Create PkgInfo at configure time
    instead of compile time. Build our program list as we go.
    
    Change-Id: If5511ee921108b1c079cef67026eac9e47211be1
    Reviewed-on: https://code.wireshark.org/review/6896
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3947091
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Feb 1 12:57:30 2015 -0800

    Fix a typo.
    
    Change-Id: I2724340e41572fdaa56ebf75478297090563c522
    Reviewed-on: https://code.wireshark.org/review/6895
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 17b228b
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Feb 1 12:47:13 2015 -0500

    dlm3: col_...() shouldn't be called under 'if (tree)'
    
    Change-Id: I577dbfacf13854c74a430d7abec20faca3f0985b
    Reviewed-on: https://code.wireshark.org/review/6891
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 50e8415
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Feb 1 12:32:08 2015 -0500

    rip: Fix "Dissector Bug": register 5 missing hfi_... fields
    
    [ Bug Introduced in gf8e24c9 ]
    
    Change-Id: I99207334e33b30bf622bbed366c2222113108230
    Reviewed-on: https://code.wireshark.org/review/6890
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 351e7d5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 1 08:06:45 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-02-01]
    
    Change-Id: Iead3755cfba6c39c5da6398e356515337f2ecdd4
    Reviewed-on: https://code.wireshark.org/review/6887
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 70912c8
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sun Feb 1 11:07:57 2015 +0000

    Minor doc update for Wwindows build
    
    Added comment about VS2013 being the preferred option.
    Added instructions for Win32.Mak.
    
    Change-Id: Ic2cca5123c471d9a806d0f4a387f82ad30ace9f6
    Reviewed-on: https://code.wireshark.org/review/6886
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit ff16cfe
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sun Feb 1 10:52:22 2015 +0000

    Added nsis generated files to .gitignore
    
    Change-Id: Id2f1ff7ca5094a785274c41eca0c1f878a427f90
    Reviewed-on: https://code.wireshark.org/review/6885
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit a300227
Author: Petr Gotthard <petr.gotthard@centrum.cz>
Date:   Fri Jan 30 16:18:48 2015 +0100

    AMQP 0-9-1: Add missing methods connection.block and connection.unblock.
    
    Change-Id: I11b32b876ec0f43b1faa2ab40ab66e7f18d981c2
    Reviewed-on: https://code.wireshark.org/review/6857
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit df468f5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jan 31 17:02:30 2015 +0100

    jsmn: check superior token node value before using it
    
    Other uses are already checked but it looks like those ones were missing
    
    Bug: 10907
    Change-Id: I35c160657faba4371fedb96ab822bcd4fffa7dd8
    Reviewed-on: https://code.wireshark.org/review/6881
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit dc6482b
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 31 07:55:10 2015 -0500

    Convert the value string APIs that only currently have packet-scope use to wmem.
    
    Change-Id: I36942493ce73b49e7257edea967eddf22f21f58e
    Reviewed-on: https://code.wireshark.org/review/6879
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6284040
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Jan 31 02:26:57 2015 +0100

    README.dissector: fixed p_add_proto_data params
    
    frame_data has long been gone. struct _packet_info is the same as
    packet_info, just use that for brevity.
    
    Change-Id: Ieb02bf6b642d728a7f80087f5cd750b9691e34e9
    Reviewed-on: https://code.wireshark.org/review/6865
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c7717ae
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 30 20:13:31 2015 -0800

    Get rid of a trailing blank.
    
    Change-Id: I27e3ba1be4a9ee23d619d751ae1abdef963b7597
    Reviewed-on: https://code.wireshark.org/review/6871
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4424d6a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 30 20:12:10 2015 -0800

    Fix a comment to reflect reality.
    
    Change-Id: I90fce5376ca17648840c473afac7f9e962c14667
    Reviewed-on: https://code.wireshark.org/review/6870
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 90233ff
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 30 20:06:49 2015 -0800

    We need to get the pathname of the executable *before* running dumpcap.
    
    In order to find dumpcap, we need to get the pathname of the executable
    image, and we support -D in the first argument parsing loop, and that
    runs dumpcap to get the interface list, so we need to get the pathname
    of the executable image before that.
    
    Change-Id: If789cf1ff4f5cf5d5c3b171a3d4eb90a6e2faf1d
    Reviewed-on: https://code.wireshark.org/review/6869
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cca2cde
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 30 20:03:01 2015 -0800

    No main window *to* update in the early argument list parsing.
    
    We haven't yet popped the main window up, so, when we call
    capture_interface_list(), we shouldn't pass a pointer to the "update the
    main window" routine.
    
    Change-Id: Id3e02199479e66bb9e9aff99b435bd03af45a1af
    Reviewed-on: https://code.wireshark.org/review/6868
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ee9d0f9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 30 18:12:51 2015 -0800

    This being C++, maybe we don't have to initialize ws_app until later.
    
    Try going back to haveing ws_app be an automatic variable, but don't
    declare it until after we've done the first-pass argument parsing.
    
    Change-Id: Ia1f2a4819570bfadcba75d498e01dbe64991843c
    Reviewed-on: https://code.wireshark.org/review/6867
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a984dbf
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 30 18:04:26 2015 -0800

    Do the first-pass argument parsing before creating the WiresharkApplication.
    
    That way, *all* the don't-need-a-GUI options can be processed without
    trying to pop up a GUI, just as is the case with the GTK+ version.
    
    Change-Id: Icbe47642eec45e887087f46c366322b8f23206cc
    Reviewed-on: https://code.wireshark.org/review/6866
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e76e140
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 30 23:34:18 2015 +0000

    Qt: Fix library path reset.
    
    g9a3676a reset the Qt library path *after* wsApp was instantiated, which
    is too late. Do so before QCoreApplication has a chance to do anything
    we might regret.
    
    Change-Id: Ibbdb69d1b7c0ea4bf1042e98a5bb5deba13e954e
    Reviewed-on: https://code.wireshark.org/review/6864
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9a3676a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 30 11:36:10 2015 -0800

    Qt: Clear our library path at startup on Windows.
    
    I recently rebuilt my Windows development VM and discovered that I could
    no longer run Wireshark executables from wireshark.org. Trying to do so
    failed with the following error:
    
    ----
    This application failed to start because it could not find or load the
    Qt platform plugin "windows".
    
    Available platform plugins are: minimal, offscreen, windows, windows.
    
    Reinstalling the application may fix this problem.
    ----
    
    As it turns out there are two issues. According to
    http://doc.qt.io/qt-5/windows-deployment.html The search path
    for Qt plugins is hard-coded into the QtCore library. Dependency
    Walker confirmed this, showing that Qt5Core.dll tried to load
    C:\Qt\5.3\msvc2013_64_opengl\plugins\platforms\qwindows.dll instead of
    C:\Program Files\Wireshark\platforms\qwindows.dll.
    
    The second issue is that the Qt online installer only uses the major
    and minor version, e.g. C:\Qt\5.3. This means that you can end up with
    Qt 5.3.0, .1, .2, or .3 depending on *when* you run the installer.
    
    The Windows builders have 5.3.1 installed while my development VM
    has 5.3.2. Apparently qwindows.dll is not compatible between these two
    versions, hence the startup error. (...so what happens if you can create
    a malicious qwindows.dll which *is* compatible on someone's machine?)
    
    This change removes any entries from QCoreApplication::libraryPaths that
    don't match our executable path. This shouldn't be an issue in our case
    because both the NMake+QMake and CMake environments run windeployqt to
    copy in any required DLLs.
    
    If it *is* an issue or if clearing the library path list causes other
    problems I can reinstall Qt on the Windows builders into a unique and
    obvious path, e.g. C:\Qt-check-your-path-before-you-wreck-your-path\5.3
    
    Change-Id: I1918bc4e520aba32cfcf9f4ccd37bf9255058cbe
    Reviewed-on: https://code.wireshark.org/review/6863
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f61c969
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 30 10:54:12 2015 -0800

    NMake: Add Chocolatey paths.
    
    Change-Id: I8ea53475a64052e945709a1f5878aa23eee65c74
    Reviewed-on: https://code.wireshark.org/review/6859
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit eda485e
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Jan 30 13:49:59 2015 -0500

    Cleanup:
    
    Including:
      tvb_length...() ==> tvb_reported_length...()
      Remove some dead initializers;
      Localize some variables;
      Whitespace.
    
    Change-Id: Ide9490f248d558bb7e3af96a1fc17d8f911de4ef
    Reviewed-on: https://code.wireshark.org/review/6862
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 7b929e2
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Jan 30 13:48:32 2015 -0500

    rtp: cleanup
    
    - Remove dead initializers;
    - Localize some vars;
    - Whitespace
    
    Change-Id: Ie98667de736f2928ce1a2e4986917e4b0457866f
    Reviewed-on: https://code.wireshark.org/review/6861
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 1ec66f0
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Jan 30 13:14:36 2015 -0500

    rtps: Cleanup
    
    - Remove dead initializers;
    - Localize some variables;
    - Whitespace.
    
    Change-Id: I876dfd88b2c3fe6a8056090f508c868f4a3cf653
    Reviewed-on: https://code.wireshark.org/review/6860
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit cc66f68
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jan 30 12:02:47 2015 -0500

    kafka: fill in some expert info
    
    Change-Id: I94e655fc56fd1534d57f6917d9e5f4189e08838a
    Reviewed-on: https://code.wireshark.org/review/6858
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 5e3936e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jan 29 21:20:48 2015 +0100

    BSSGP: ensure that all Optional / Conditional Information Elements are treated as such
    
    Bug: 10903
    Change-Id: I8f6b970a6988fd4e700203304586c8e53dd5696b
    Reviewed-on: https://code.wireshark.org/review/6845
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 14a869c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jan 30 00:02:20 2015 +0100

    GSM MAP: display TBCD digits, USSD string and Location Number digits in a subtree
    
    Bug: 10900
    Change-Id: I01277633a1314e68363ef433f3b99b4138657330
    Reviewed-on: https://code.wireshark.org/review/6850
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a614212
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jan 29 23:06:37 2015 +0100

    SDP: add ability to display port as a string
    
    Bug: 10898
    Change-Id: Ib1b5698c85cd568b8874b44690cafe391eea28f3
    Reviewed-on: https://code.wireshark.org/review/6849
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 78755c7
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Jan 29 18:55:15 2015 -0500

    Disable SSE4.2 _ws_mempbrk_sse42 only for older Apple compilers
    
    This is a longer term fix to disable _ws_mempbrk_sse42 in older
    Apple compilers, which the buildbots currently use. This fix
    is the longer-term fix for the temprorary one introduced in
    g9a366b04/I2e438ff29.
    
    Bug: 10798
    Change-Id: I051ca003610c07f7d75cc19b20ff823fe4c1ce05
    Reviewed-on: https://code.wireshark.org/review/6851
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 2bf7878
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 14 17:25:56 2015 -0800

    Qt: Add the RTP Streams dialog.
    
    Add keyboard shortcuts. Note that not all of the buttons made it from
    GTK+.  Add a "Go to setup frame" option.
    
    Move rtp_streams.c from ui/gtk to ui.
    
    Add a help URL for RTP analysis (which needs to be split into streams +
    analysis).
    
    Fix RTP stream packet marking.
    
    Change-Id: Ifb8192ff701a933422509233d76461a46e459f4f
    Reviewed-on: https://code.wireshark.org/review/6852
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6824cee
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 29 12:09:34 2015 +0100

     CAPWAP: Add support of Cisco Vendor Specific Element
    
    Change-Id: I62886bda3220d9aa3a5b3aee8b40063a8bb7745d
    Reviewed-on: https://code.wireshark.org/review/6843
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fd1bc6d
Author: Dario Lombardo <lomato@gmail.com>
Date:   Thu Jan 29 10:22:17 2015 +0100

    HCRT: udp port preference changed into range.
    
    Change-Id: I6201bec1c3226181d2e5df8f3bf47471136b0ef5
    Reviewed-on: https://code.wireshark.org/review/6839
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit aaa3d23
Author: Dario Lombardo <lomato@gmail.com>
Date:   Thu Jan 29 13:24:54 2015 +0100

    When issued with -v wireshark-qt prints version and exits.
    
    Change-Id: I3993c502156d534f17baa409729e2dc763910ac8
    Bug: 10789
    Reviewed-on: https://code.wireshark.org/review/6840
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 67b069e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jan 29 13:55:18 2015 -0800

    Qt: Add address conversion convenience routines
    
    Add address_to_qstring and address_to_display_qstring, which wrap
    address_to_string and address_to_display respectively and return
    QStrings. Convert most of the instances in ui/qt to the new routines.
    
    Fix a some memory leaks in the process.
    
    Change-Id: Icda80bbfe0b2df723d54c8da84355255f819af89
    Reviewed-on: https://code.wireshark.org/review/6848
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2edf8bb
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jan 29 13:55:00 2015 +0100

    SDP: check that media format starts with a digit before trying to identify media type
    
    Bug: 10899
    Change-Id: I92319a668ae795247d4021f32d629f5000ceb395
    Reviewed-on: https://code.wireshark.org/review/6841
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0ba51cc
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 17 16:11:06 2015 +0100

    IS-IS: Add subTLV Bandwidth Constraints (22) used by IS Reachability
    
    Change-Id: I7e1d29270aede25268bb75a2b5fc9448dbc1cc9b
    Reviewed-on: https://code.wireshark.org/review/6585
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 9a366b0
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Jan 29 13:06:03 2015 -0500

    Disable SSE4.2 _ws_mempbrk_sse42 due to bug 10798
    
    This is a (possibly) temporary change to master to
    disable _ws_mempbrk_sse42 to see if that fixes bug
    10798.
    
    Ping-Bug: 10798
    Change-Id: I2e438ff299f55709c66a37634d2a7e799c513ac9
    Reviewed-on: https://code.wireshark.org/review/6844
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 0137f92
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jan 29 10:01:38 2015 -0500

    addr_resolv: correctly scope returned memory
    
    *_port_to_display functions take an allocator scope, so the memory they return
    must be allocated from that scope, which means we must strdup the result of
    serv_name_lookup.
    
    Bug: 10901
    Change-Id: I337c8b6f9dfece966964c09023679b3e24648e48
    Reviewed-on: https://code.wireshark.org/review/6842
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 25f1df4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 28 13:04:14 2015 -0800

    "%l[doux]" doesn't mean "64-bit integer".
    
    Use G_GINT64_MODIFIER as the format modifier to indicate that the value
    being printed is 64-bit; there is no guarantee that long is 64-bit (it's
    not 64-bit on ILP32 platforms such as 32-bit Windows and 32-bit UN*X, or
    even on LLP64 platforms such as 64-bit Windows).
    
    Change-Id: I0444f7f396969824f1040c06a67753718c32881b
    Reviewed-on: https://code.wireshark.org/review/6838
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 49a7e97
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 28 12:56:19 2015 -0800

    Try dissecting some stuff even if we don't have conversation information.
    
    Fill in a local transaction information structure, so we can pass data
    from the packet down.  Skip stuff that depends on conversation
    information if we don't have any.
    
    Change-Id: I5a8bd21bdf632ada9013e616c5fc4e8bd14c9698
    Reviewed-on: https://code.wireshark.org/review/6837
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9e647a9
Author: Petr Gotthard <petr.gotthard@centrum.cz>
Date:   Mon Jan 26 10:40:01 2015 +0100

    Extended AMQP 0-9 dissector to support AMQP 0-9-1 methods and datatypes. Backward compatibility to AMQP 0-9 is maintained.
    
    Change-Id: Ie39cb40dca3d9f778ef2c04cbef24c968a91ec6c
    Reviewed-on: https://code.wireshark.org/review/6791
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6940a97
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 28 11:39:04 2015 -0800

    Go back to installing 5.2.3 for now.
    
    Change-Id: I1c798cd1a74aee559225fea1e4bc3694466de861
    Reviewed-on: https://code.wireshark.org/review/6836
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 83678a0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 28 10:58:32 2015 +0100

    Proto dialog (GTK) : fix indent (use 2 spaces) and add modelines
    
    Change-Id: I36945843b8d544188a3ffe89f397e669f3944593
    Reviewed-on: https://code.wireshark.org/review/6831
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f011af2
Author: Anders <anders.broman@ericsson.com>
Date:   Wed Jan 28 13:41:00 2015 +0100

    Add files missing from the tarball.
    
    Change-Id: I126f40ac122a7b9236e8718a89d35ad12fc89c04
    Reviewed-on: https://code.wireshark.org/review/6834
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d7538cb
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jan 27 18:51:05 2015 +0100

    ANSI IS-637-A: prevent an out of bounds access
    
    Bug: 10897
    Change-Id: I8316ba40ec00b612e4edd490e3cd36e7277912a9
    Reviewed-on: https://code.wireshark.org/review/6824
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 15c895d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 28 01:47:31 2015 -0800

    Make the USB header information an enumerated type.
    
    It's not really a bitset, it's a choice of one of four types of USB
    pseudo-header.  Make it an enum.
    
    Change-Id: I4ea994e1606c23e0a0f08b1b61357eea40a2535e
    Reviewed-on: https://code.wireshark.org/review/6830
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 53a5e4f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jan 27 16:59:30 2015 +0100

    win32: fix detection of Windows 10 Technical Preview
    
    The version number changed from 6.4 to 10.0
    
    Change-Id: Ie749c97e8335f77d414d80edbd69373bd9a1cdad
    Reviewed-on: https://code.wireshark.org/review/6820
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 946856a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 28 01:17:04 2015 -0800

    Move tests out of try_dissect_linux_usb_pseudo_header_ext().
    
    Do the tests in its callers; rename it to just
    dissect_linux_usb_pseudo_header_ext() and don't bother passing it the
    header_info flag.
    
    We can remove some of those tests as they're already done in the caller.
    
    Change-Id: I7c3cfefba833a84c834462307088f5c31612128e
    Reviewed-on: https://code.wireshark.org/review/6829
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f090ebb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 27 21:23:55 2015 -0800

    Add documentation URLs for the Linux USB and USBPCAP pseudo-headers.
    
    Change-Id: If5cecfeb66b3caca6478206f2fcb2f617ef02b46
    Reviewed-on: https://code.wireshark.org/review/6828
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3aab6fc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 27 09:25:29 2015 -0800

    Qt: Update packet list freeze/thaw behavior.
    
    Move the clear() calls in gee320ef a bit earlier in the code to
    PacketList::freeze. No model means no packets.
    
    Bug: 10896
    Change-Id: Ie440e3da4c5fb601048f4e94c8712ecf2d864d4f
    Reviewed-on: https://code.wireshark.org/review/6823
    Reviewed-by: Sean Stalley <seanstalley@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9976422
Author: Dario Lombardo <lomato@gmail.com>
Date:   Tue Jan 27 14:34:35 2015 +0100

    Added json heuristic to Dropbox LAN sync Discovery Protocol.
    
    Change-Id: I0d649ddc0f1539616eca0322ba54a7735338c738
    Reviewed-on: https://code.wireshark.org/review/6817
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d3261b2
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 27 12:55:05 2015 -0500

    Comment out various 'if(tree)'
    
    col..._() and/or expert...() should not be called under 'if(tree)'
    
    Change-Id: I57efe44794977d3f93e4764642b091044a125c0c
    Reviewed-on: https://code.wireshark.org/review/6826
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 75858d7
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 27 12:01:43 2015 -0500

    rtps: Remove various 'if(tree)'
    
    col_...() and expert_...() should not be called under 'if(tree)'
    
    Change-Id: I2f1a8345ff18c0174bcd81b37179aa2d5ee74aca
    Reviewed-on: https://code.wireshark.org/review/6825
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 678cf27
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jan 27 15:14:47 2015 +0100

    NETROM: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ie534cbd4fb592d18f27039c654ba08e1beb7edff
    Reviewed-on: https://code.wireshark.org/review/6819
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2e10308
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jan 27 15:13:46 2015 +0100

    HCrt: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I453c9b068a53292ab63cd3416569eea7d66361ba
    Reviewed-on: https://code.wireshark.org/review/6818
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7dfda88
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 26 19:53:49 2015 +0100

    WIMAX: fix no previous prototype for ... [-Wmissing-prototypes]
    
    Also comment the unused function wimax_decode_sub_dl_ul_map
    
    Part 2...
    
    Change-Id: I1836aa2851156e4f756c5697f86a142625d697c9
    Reviewed-on: https://code.wireshark.org/review/6810
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ceb8d95
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sun Jan 25 14:30:13 2015 -0500

    Lua: Expose tcp_dissect_pdus() to Lua
    
    Provide a way for Lua-based dissectors to invoke tcp_dissect_pdus()
    to make TCP-based dissection easier.
    
    Bug: 9851
    Change-Id: I91630ebf1f1fc1964118b6750cc34238e18a8ad3
    Reviewed-on: https://code.wireshark.org/review/6778
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 9bbc337
Author: Dario Lombardo <lomato@gmail.com>
Date:   Tue Jan 13 15:13:27 2015 +0100

    Added HPFEEDS stats_tree.
    
    Change-Id: I256fd5395b062fa954ebd60598721323ea1d7ff1
    Bug: 10875
    Reviewed-on: https://code.wireshark.org/review/6713
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c80aa10
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jan 27 11:53:05 2015 +0100

    HCrt fix no previous prototype for 'proto_register_hcrt' [-Wmissing-prototypes]
    
    Change-Id: Idca780885263c068ba31bbccb6009e75221b3adf
    Reviewed-on: https://code.wireshark.org/review/6816
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 32cbf79
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 26 08:15:35 2015 +0100

    Qt: Add checkable for Find Packet icon
    
    Change-Id: Idd3c0b1893a9e0f8bc329e9157baaccd10de7378
    Reviewed-on: https://code.wireshark.org/review/6814
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b5a3907
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 26 08:46:34 2015 +0100

    Packet List (Qt): fix extra ‘;’ [-Wpedantic]
    
    Change-Id: I3ac80a13da91452de4c857abfd6f2661b00e2f5d
    Reviewed-on: https://code.wireshark.org/review/6815
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 77227d4
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 26 08:00:43 2015 +0100

    GTK: Fix multispace on main title bar
    
    Change-Id: I275a586c16621fdfabede23f6a1d03c8d8556b3f
    Reviewed-on: https://code.wireshark.org/review/6813
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5e309d6
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 26 07:48:55 2015 +0100

    CAPWAP: fix double space on AC Software version
    
    Change-Id: Ibe9715a1c2bf31e31ddda5ad2ad62fc0eda8164c
    Reviewed-on: https://code.wireshark.org/review/6812
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ec7ff4e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 26 08:48:57 2015 +0100

    GTK: fix no previous prototype for ... [-Wmissing-prototypes]
    
    Add by commit g43f09e67b (Remove unneeded includes from ui folder)
    
    Change-Id: I66eb113430bde97e18bb3d2b00f6bac46a01797e
    Reviewed-on: https://code.wireshark.org/review/6809
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a9aba94
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 26 08:45:36 2015 +0100

    GTK: fix no previous prototype for ... [-Wmissing-prototypes]
    
    Add by commit g43f09e67b (Remove unneeded includes from ui folder)
    
    Change-Id: I7c9d9e2bbd76d062f96422c74ee8eb8c6ecd328b
    Reviewed-on: https://code.wireshark.org/review/6808
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 11d25fa
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 26 08:17:06 2015 +0100

    CATTP: fix no previous prototype for 'proto_register_cattp' [-Wmissing-prototypes]
    
    Change-Id: Ifedb45d95d622c6df29f6917918015676f506831
    Reviewed-on: https://code.wireshark.org/review/6807
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c0c2b45
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Mon Jan 26 15:08:18 2015 +0100

    epl: Add Manufacturer subdissector
    
     Allow manufacturer specific plugins, which will only
     be called for certain service IDs which are manufacturer
     specific as defined by the POWERLINK specification.
    
     As with e.g. udp.port, a plugin or subdissector may
     register with epl.asnd and a given service ID to implement
     a plugin for specific ASND Service IDs, which are part
     of the manufacturer specific object range (0xA0-0xFE).
    
     Also, all values for the ID fields have been changed to
     range_string
    
    Change-Id: Ibfb9c035c16bce5322b13c42f30daf14e096712a
    Reviewed-on: https://code.wireshark.org/review/6793
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4fb2ec0
Author: Joe Fowler <fowlerja@us.ibm.com>
Date:   Fri Jan 23 22:17:50 2015 -0500

    SMC-R: fix incorrect dissection of non-SMCR packet. Failover
    Validation bit definition is missing
    
    dissect_smcr_tcp_heur() passes incorrect length to tvb_memeql(),
    resulting in incorrectly identifying a packet as SMC-R.
    
    Added Failover Validation bit.
    
    Bug: 10887
    Change-Id: I9f33389bd974b4c410a6b077d0d133221c77ee0d
    Reviewed-on: https://code.wireshark.org/review/6765
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ee320ef
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jan 26 22:35:12 2015 -0500

    qt: clear tree and bytes when no packet selected
    
    Otherwise trying to interact with them will cause all sorts of funny crashes.
    
    There's probably a better way to trigger these (having the widgets register for
    a signal, and sending that signal, or something something something) but this
    works and I don't feel like reading 20 pages of Qt documentation right this
    instant.
    
    Change-Id: Ic52806ae5ba8d7776f835695590559b8c705d083
    Ping-Bug: 10896
    Reviewed-on: https://code.wireshark.org/review/6803
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit a835c85
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 26 11:38:33 2015 -0800

    Pcapng: Don't fetch past the end of a GArray.
    
    Due to an off-by-one error an invalid ISB interface ID could make us
    fetch past the end of a GArray. Found using American Fuzzy Lop.
    
    Bug: 10895
    Change-Id: I7d4049ad7a386ae7e8013b8e741d54a31f353f1f
    Reviewed-on: https://code.wireshark.org/review/6798
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5845f29
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 26 13:58:01 2015 -0500

    rtp: Don't call col_...() under 'if (tree)'
    
    Change-Id: I7d75e8d02aeaa67155ec52dd0167d1692286b951
    Reviewed-on: https://code.wireshark.org/review/6800
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 717b5a2
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 26 13:31:15 2015 -0500

    rtmpt: Remove 'if (tree)'
    
    Setting a var under 'if (tree)' and then using it later (not under 'if (tree)') to affect col_...()/expert_...() is not OK.
    
    Change-Id: I144b5fa50b4550cd14c604970f5d84dbf13f3e90
    Reviewed-on: https://code.wireshark.org/review/6799
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit c9579d0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jan 26 16:20:16 2015 +0100

    3GPP: upgrade 2G/3G NAS dissector to v12.8.0 and NAS EPS dissector to v12.7.0
    
    Change-Id: I770506762074b50d40b4f4742d8316368f14b4de
    Reviewed-on: https://code.wireshark.org/review/6794
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d5f0f25
Author: Anders <anders.broman@ericsson.com>
Date:   Mon Jan 26 16:50:06 2015 +0100

    Add Cmakefiles missing from the distribution.
    
    Change-Id: I77333bb1ca4b0fdfa2db095aab2e4e663c029dd3
    Reviewed-on: https://code.wireshark.org/review/6797
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d50b27f
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jan 25 09:18:00 2015 -0500

    gsm-rlcmac: use wmem_new0 for a struct
    
    Fixes "Conditional jump or move depends on uninitialised value" from Valgrind.
    
    I couldn't really figure out how this code was supposed to function, it seems to
    initialize one member of the union and then expect *all* the others to just
    magically work (which they apparently do in most cases, oddly). The real bug
    could be in csnStreamDissector or who knows, but this at least turns "garbage
    data" into "zeros" which makes valgrind happy and turns a potential vuln into
    at worst a bad decoding.
    
    Bug: 10891
    Change-Id: Ia29dd625b46b3b76ff521b4203148fe8b0c59ec3
    Reviewed-on: https://code.wireshark.org/review/6769
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit abf5703
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 24 18:34:53 2015 -0500

    Register EtherNet/IP dissector for "external" use (like SSL)
    
    Change-Id: Ic918c27f36569572523a17abb172b94cc32f2e3b
    Reviewed-on: https://code.wireshark.org/review/6786
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d465682
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jan 25 17:32:40 2015 -0500

    Roll functionality of h225-persistentdata module into packet-h225.c
    
    Change-Id: I19b2a1b19e1e77a6456e2310daf64ddff572b0d2
    Reviewed-on: https://code.wireshark.org/review/6788
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 155fc8f
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 24 18:55:55 2015 -0500

    Move #defines of epan/greproto.h to packet-gre.h
    
    Change-Id: I5de4c34e2acafbe47a8ca3f07040a774e72d0d3e
    Reviewed-on: https://code.wireshark.org/review/6787
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d015eff
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 25 14:37:44 2015 -0800

    Update another comment to reflect reality.
    
    Change-Id: I9747b746ed7c38ed3aa78f19ae20b61e142b94cc
    Reviewed-on: https://code.wireshark.org/review/6785
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fcac03d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 25 14:34:07 2015 -0800

    Update a comment to reflect reality.
    
    Change-Id: I6376ce5eab43443314e73116161a24111f8c46d7
    Reviewed-on: https://code.wireshark.org/review/6784
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 88e22bde
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 25 14:31:39 2015 -0800

    Remove some references to SVN.
    
    Rename the --get-svn and --set-svn options to --get-vcs and --set-vcs;
    continue to support --get-svn and --set-svn as aliases, for backwards
    compatibility.  Change variable names as well.
    
    Change-Id: If25d81dae747f9825f7e3e5e937749f078f63d27
    Reviewed-on: https://code.wireshark.org/review/6783
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit be798e1
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jan 25 15:51:01 2015 -0500

    pana, gsm_abis_oml, rsl, netrom: Remove 'if (tree)'
    
    Thou shalt call col_...() and/or a dissector under 'if(tree)'
    
    Change-Id: Ibe62bc8229cb759d5f8b092aa7143d8e2f799037
    Reviewed-on: https://code.wireshark.org/review/6781
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 065304c
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jan 25 12:04:14 2015 -0500

    applemidi: col_...() shouldn't be called under 'if(tree)'
    
    Change-Id: I6ae8e122f1d1e7200255b51d2017b4375045c797
    Reviewed-on: https://code.wireshark.org/review/6780
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit c107896
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 25 13:50:37 2015 -0800

    Replace "GIT" with "VCS" in make-version.pl and files it manipulates.
    
    That makes it more VCS-neutral - apparently some people maintain private
    versions under VCSes other than Git, and make-version.pl still handles
    those VCSes.
    
    Change-Id: Ie4914b16fea8ce800582729260c5e9b9cf1111f4
    Reviewed-on: https://code.wireshark.org/review/6779
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a3f3d0b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 25 12:50:05 2015 -0800

    Don't say "Git Rev" if the VCS being used isn't Git.
    
    Change-Id: Ibd298b9665214e8af137a05ffb0c0aee67af91bf
    Reviewed-on: https://code.wireshark.org/review/6777
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bba51b6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 25 12:14:58 2015 -0800

    Get rid of unused is_release preference.
    
    Change-Id: I458f1d398b4eb566dd73e879ea3236a4de67da63
    Reviewed-on: https://code.wireshark.org/review/6776
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2f713a6
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 25 12:01:54 2015 -0800

    Update some comments to reflect reality.
    
    Change-Id: I230e3914bcd902dd481b59637f5ea21afc496978
    Reviewed-on: https://code.wireshark.org/review/6775
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit aec1bcf
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Jan 24 15:58:30 2015 -0500

    Lua can free tvbuffs too early
    
    Lua-created tvbuffs should be kept around for the duration of pinfo's
    lifetime, instead of only for the duration of frame dissection. So
    instead of using the frame dissector's frame_end_routine, we'll register
    a callback to wmem for pinfo pool's allocator.
    
    Bug: 10888
    Change-Id: I3e9db671c3f2a7cab9e258aca17f3be8acaf2417
    Reviewed-on: https://code.wireshark.org/review/6768
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 716f9a3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 25 08:06:13 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-01-25]
    
    Change-Id: Ic9c4903a49473c40f66dcf650f59d6a498bb9c05
    Reviewed-on: https://code.wireshark.org/review/6772
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5003654
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jan 25 09:53:25 2015 -0500

    Cleanup:
    
    Including:
      Remove dead initializers;
      Remove boilerplate comments;
      Localize some variables;
      tvb_length...() ==> tvb_reported_length...();
      Use TRUE/FALSE when assigning a value to a gboolean;
      whitespace/indentaion.
    
    Change-Id: I09e1f15611011bbe393d23e1cb54568ddd3cebc6
    Reviewed-on: https://code.wireshark.org/review/6771
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit b91df34
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sat Jan 24 17:09:36 2015 -0500

    v52: Fix a minor bug introduced in  gc71e88e; plus ...
    
    Create/use extended value strings
    tvb_length...() --> tvb_reported_length...()
    
    Cleanup:
     Remove some dead initializers;
     Declare some vars as 'const' (initialized value is never changed);
     localize some vars;
     whitespace;
    
    Change-Id: Iee21bb67fb42b1160b8ba2b7c2b89b410cc22225
    Reviewed-on: https://code.wireshark.org/review/6770
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 5280188
Author: Dario Lombardo <lomato@gmail.com>
Date:   Mon Jan 12 14:31:16 2015 +0100

    Added HCrt (Hotline Command-Response Transaction) Dissector.
    
    Bug: 10853
    Change-Id: Ieddb98b16e47906ba187cf03669b02a3ad397d60
    Reviewed-on: https://code.wireshark.org/review/6533
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit b2a5f15
Author: Evan Huus <eapache@gmail.com>
Date:   Sat Jan 24 13:01:30 2015 -0500

    RTPS: Memset entire buffer
    
    Apparently some compilers do sufficient inlining optimization to notice that
    there's at least one caller of rtps_util_add_typecode which passes an
    indent_level of 0. Such compilers are *also* picky enough to complain about
    memset being called with a length of 0, leading to a warning which we turn into
    a compile error.
    
    I thought about putting in an "if indent_level > 0" but I figure memsetting the
    entire buffer (length >= 1) is simpler and more efficient in the common case.
    
    Change-Id: Ica21ba988eb0c1251e7b4ef2e110336d5ee32837
    Reviewed-on: https://code.wireshark.org/review/6766
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit cf142c6
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sat Jan 24 10:28:56 2015 -0800

    Get Wireshark to compile with afl-gcc.
    
    Fix errors found by American Fuzzy Lop's afl-gcc
    (http://lcamtuf.coredump.cx/afl/):
    
    peektagged.c:
    error: 'fileVersion' may be used uninitialized in this function
    
    packet-h223.c:
    error: variable 'circuit_id' might be clobbered by 'longjmp' or 'vfork'
    
    wslua_proto.c:
    error: variable 'd' might be clobbered by 'longjmp' or 'vfork'
    
    wslua_proto.c:
    error: variable 'dt' might be clobbered by 'longjmp' or 'vfork'
    
    Change-Id: Idd74a3ad7b236d3a8756c1e7e917b1c74143f381
    Reviewed-on: https://code.wireshark.org/review/6767
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7ed097c
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 23 13:29:52 2015 -0800

    Fix an uninitialized variable warning.
    
    Change-Id: I3a5c211db767e1980a8c1f2fd706139c0bf6f943
    Reviewed-on: https://code.wireshark.org/review/6764
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b714da2
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 23 12:09:51 2015 -0800

    CMake: Make sure DATAFILE_DIR exists.
    
    Create DATAFILE_DIR when we're building an application bundle. Hopefully
    this will fix the build error on the OS X x86 builder.
    
    Change-Id: I57414bcd87ab21958ae8131a8cd77951b29e02f7
    Reviewed-on: https://code.wireshark.org/review/6763
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 21dfda6
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 23 09:18:29 2015 -0800

    Qt: Remove windowIcon property from our .ui files.
    
    Setting the windowIcon property in foo.ui means we end up with a
    setWindowIcon call in ui_foo.h. Along with setting the window title
    bar icon, it also sets the taskbar icon on Windows. A 16x16 PNG gives
    us a jaggy taskbar icon. (Windows ICO format is supported via a plugin
    which might not be available everywhere, otherwise we could try using
    a .ico resource.)
    
    Move the setWindowIcon call from ge990d1b to the top of the MainWindow
    constructor and enable it everywhere.
    
    Change-Id: I4e9765200bb3676c4faa8e0ab1505ce02fb64870
    Reviewed-on: https://code.wireshark.org/review/6762
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d8d2d8e
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Fri Jan 23 15:09:50 2015 +0000

    jpeg: Add handling for comment marker
    
    Change-Id: I10ad7021f6535d65d88faf734fb5800e4415a811
    Reviewed-on: https://code.wireshark.org/review/6759
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit cce3ad2
Author: Petr Gotthard <petr.gotthard@honeywell.com>
Date:   Tue Jan 20 19:04:05 2015 +0100

    Correctly dissect the AMQP 0-9 heartbeat frames. The heartbeat frames were
    incorrectly highlighted as erroneous.
    
    Change-Id: I94f8ef73e2432543ae3965da3789f27e872951ea
    Reviewed-on: https://code.wireshark.org/review/6685
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b32e39e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 20 12:26:14 2015 -0800

    Test suite: Add verbosity to the HTTP2 test.
    
    We should probably do the same for the other decryption tests but we're
    having issues with HTTP2 right now.
    
    Change-Id: I8e8f5da200a29a5ca1cddb39c082bb7ee12d1eaf
    Reviewed-on: https://code.wireshark.org/review/6686
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f5c0bd2
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jan 23 09:56:28 2015 +0100

    802.11: Fix encoding for VHT NDP STA Info
    
    Using little endian for encoding
    
    Ping-Bug: 10786
    Change-Id: Ic2a7f52ccbba32a801c102df4e5aa0a792654602
    Reviewed-on: https://code.wireshark.org/review/6755
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bab7447
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Dec 7 14:30:50 2014 +0100

    CAPWAP: Add support of Fortinet Vendor Specific Element
    
    Based from FortiAP/WiFi 5.2.x
    
    Change-Id: Ia78d15d54db01939a3d91947db39e35b3abc2519
    Reviewed-on: https://code.wireshark.org/review/5646
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e990d1b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jan 22 16:48:17 2015 -0800

    Try to fix the jaggy taskbar icon.
    
    Possibly related to https://bugreports.qt.io/browse/QTBUG-19441.
    
    Change-Id: Idf7ff8a247f459ce465907760ca0ebeaff2cffa8
    Reviewed-on: https://code.wireshark.org/review/6746
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 888229b
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Jan 22 22:40:01 2015 -0500

    Make netlink dissector register the attribute length header field info
    
    The header field info variable named hfi_netlink_len isn't registered
    by the netlink dissector, but is added to the tree, resulting in a
    runtime error. This commit changes the variable name slightly, to
    be more accurate, and correctly registers it.
    
    Bug: 10884
    Change-Id: Iaa4e556d5bbe87b72a0cdca2fbf397fa95e074cc
    Reviewed-on: https://code.wireshark.org/review/6751
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 407b703
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Jan 23 00:04:18 2015 -0500

    Fix some WsLua documentation errors
    
    The format of the API chapter was a bit screwed up, as was the
    indentation level of attributes. Also, some functions introduced
    in 1.11.3 were not documented as being since that version.
    
    Change-Id: I7912488c6da5b5ae72933e4c5ce49f8fbf0b0e34
    Reviewed-on: https://code.wireshark.org/review/6753
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8d1a984
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Jan 23 00:24:46 2015 -0500

    Remove incorrect 'if (tree)'
    
    Incorrect because of one or both of the following:
    - col_...()/expert...() called under 'if (tree)'
    - vars set under 'if (tree)' used later (not under 'if (tree)'
       as args to col_...()/expert_...()
    
    Change-Id: I89f7d453f2d6eaa40d51cbd794ed2c9be7e549de
    Reviewed-on: https://code.wireshark.org/review/6754
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 5a23a02
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 22 19:33:37 2015 -0800

    Add .dirstamp - it's apparently some autotools thing.
    
    Change-Id: I3303744858d807b1472c2e53ff6d886270664be2
    Reviewed-on: https://code.wireshark.org/review/6752
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 19a8eaf
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 22 13:04:15 2015 -0800

    Use luaL_{check,opt}integer() rather than luaL_{check,opt}int().
    
    Lua prior to 5.3 defined luaL_{check,opt}int() as macros wrapping
    luaL_{check,opt}integer() with a cast to int; Lua 5.3 doesn't.
    
    It sounds as if the Lua developers are deprecating luaL_{check,opt}int():
    
        http://osdir.com/ml/general/2014-10/msg46568.html
    
    Change-Id: I2d0b649dcd57ede124f31d39f7945f342ae9b18f
    Reviewed-on: https://code.wireshark.org/review/6744
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Tested-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 2eaa467
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jan 22 20:53:24 2015 -0500

    oids: fix memory leak
    
    In oid_encoded2subid_sub(), the scope we get may be NULL, in which case if we
    don't return our allocated buffer, it is our responsibility to free it. Minor
    regression from ge333e4c90f0aca41b0a56cef22fd80d0b0e73e14.
    
    Bug: 10883
    Change-Id: I324ca770278ab0575511c5e9ab72b70d6ac1a391
    Reviewed-on: https://code.wireshark.org/review/6748
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 612e286
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 22 17:51:48 2015 -0800

    Fix test script to test Lua Pinfo, and fix problem it found.
    
    The test script was running lua/nstime.lua rather than lua/pinfo.lua for
    the Pinfo test, and the Pinfo test was testing the ipproto property for
    a Pinfo, but that was removed.
    
    Change-Id: Iccdccd265dd550e41640af3acd607362f1f2f02e
    Reviewed-on: https://code.wireshark.org/review/6747
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5b55288
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Jan 22 14:39:55 2015 -0500

    Add a changelog entry for the license tag change (I82de1bc4ffcb1e962b1a35dc58aaa87aca04ed5e).
    
    Change-Id: I5e715579be9b415cd0fd957c66c7bd82319c88b3
    Reviewed-on: https://code.wireshark.org/review/6743
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 96f9746
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jan 22 12:05:57 2015 -0500

    pppoe: col_...()/expert...() shouldn't be under 'if (tree)'
    
    Change-Id: I93726546d86af677153b6b2d46fc072851a33460
    Reviewed-on: https://code.wireshark.org/review/6741
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit f38a63a
Author: Stefan Metzmacher <metze@samba.org>
Date:   Tue Sep 23 23:11:25 2014 +0200

    packet-smb2: implement SMB2 NegotiateContexts
    
    Change-Id: I0a2c7ffa2490196989dce96b659337b4fee92c7e
    Signed-off-by: Stefan Metzmacher <metze@samba.org>
    Reviewed-on: https://code.wireshark.org/review/6711
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 48c90d1
Author: Stefan Metzmacher <metze@samba.org>
Date:   Tue Sep 23 23:12:29 2014 +0200

    packet-smb2: fix getting the dataoffset in dissect_smb2_write_request()
    
    It's 2 byte only so we need to use tvb_get_letohs().
    
    Change-Id: Idbab6428f4242abbbff089d7e1d1bf4cc86930b1
    Signed-off-by: Stefan Metzmacher <metze@samba.org>
    Reviewed-on: https://code.wireshark.org/review/6710
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 97d0f36
Author: Stefan Metzmacher <metze@samba.org>
Date:   Wed Jan 21 08:17:19 2015 +0100

    packet-smb2: correctly dissect dcerpc traffic over different named pipe handles
    
    Change-Id: Id98d1c7e28d88f6cd50f5ef770eec95e57008458
    Signed-off-by: Stefan Metzmacher <metze@samba.org>
    Reviewed-on: https://code.wireshark.org/review/6709
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 749c68c
Author: Stefan Metzmacher <metze@samba.org>
Date:   Wed Jan 21 08:14:23 2015 +0100

    packet-dcerpc: change transportsalt to guint64
    
    This will be able to hold also SMB2 file ids and maybe other stuff in future.
    
    Change-Id: Ib55895a346b7dc6562291730693453728c99fe91
    Signed-off-by: Stefan Metzmacher <metze@samba.org>
    Reviewed-on: https://code.wireshark.org/review/6708
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 87e691f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 22 03:05:34 2015 -0800

    Remove a mysterious comment that no longer applies.
    
    There's nothing special about LUA_VERSION when it comes to the user
    overriding it - they'd do that by changing it, the same as with any
    other _VERSION variable.  Remove the comment about it, which is now out
    of date in any case.
    
    Change-Id: I414ddaff43c96304f49b81bdbd135d85536c17dc
    Reviewed-on: https://code.wireshark.org/review/6739
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 39a984e
Author: Bastien Bailly <babassbailly@free.fr>
Date:   Thu Jan 22 09:50:37 2015 +0100

    GTP: Bad bytes read for extended rnc id value
    
    offset+=2; is missing and bytes used for extended rnc id value are the same that for rnc id value.
    
    Bug:10877
    Change-Id: I2830191e434812d42ab625e7a6e0478a191b7d95
    Signed-off-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/6738
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f8fa70f
Author: Marko Hrastovec <marko.hrastovec@gmail.com>
Date:   Wed Jan 21 15:03:43 2015 +0100

    Decoding of Asterix categories 063 and 065 extended to item decoding.
    
    Categories 063 and 065 were decoded only partially. Now the dissector
    dissects all the items in these two categories.
    
    Change-Id: Ib8fd1d18327cbea668600f7376a6b83a270909a2
    Reviewed-on: https://code.wireshark.org/review/6714
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit dadf2c1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 22 00:32:28 2015 -0800

    Lua 5.3.0 is now out; install it.  (It has better 64-bit integer support.)
    
    Change-Id: I99cad6bd6c5646bfbaddfdde317673cf749766a8
    Reviewed-on: https://code.wireshark.org/review/6737
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2cd0472
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 22 00:30:47 2015 -0800

    Un-install and re-install if the installed and specified versions differ.
    
    If, for a package, the version specified by the _VERSION variable
    doesn't match the version installed (as indicated by a -done file),
    un-install it, and remove the downloaded version, before doing any
    installs, so that the specified version replaces the installed version.
    
    Change-Id: I32021c7be8cdc277ad51c9f11cfdb57e3bb542c4
    Reviewed-on: https://code.wireshark.org/review/6736
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5a928c2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 22 00:18:40 2015 -0800

    Remove autotools packages if something they depend on changes.
    
    Uninstall automake if autoconf is going to be changed; remove libtool if
    autoconf or automake is going to be changed.
    
    Change-Id: I4aced967cb7bed197d3f1a4be851a0bc78c8f12d
    Reviewed-on: https://code.wireshark.org/review/6735
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2cc9474
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 21 20:15:05 2015 -0800

    When uninstalling a library, first uninstall what depends on it.
    
    Change-Id: I80a719acd90e225b28ca16a24ca74030498a5a42
    Reviewed-on: https://code.wireshark.org/review/6734
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0fbb25f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 21 20:05:23 2015 -0800

    Rename install_libpixman to install_pixman, to match uninstall_pixman.
    
    Change-Id: If71895cae49000ff4a4b5bb8211f0b21feed82bc
    Reviewed-on: https://code.wireshark.org/review/6733
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b7db12e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 21 18:40:49 2015 -0800

    Do tests in the order the comment before them implies.
    
    Change-Id: Ie82ce54915866bdf635da832dd2f4c4ae1f2937e
    Reviewed-on: https://code.wireshark.org/review/6732
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 64108f4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 21 18:30:26 2015 -0800

    Give PortAudio a versioned -done file.
    
    If there's an unversioned -done file, make it a versioned file under the
    assumption that the requested version is what's installed.
    
    Create a versioned file when installing.  Use the installed version when
    uninstalling, and remove the versioned file.
    
    Change-Id: Ic21e0f139bb35df8f159a5ba7732706357a099fb
    Reviewed-on: https://code.wireshark.org/review/6731
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0426236
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Jan 20 20:41:49 2015 -0500

    Get us building with the subdir-objects automake option.
    
    subdir-objects will be enabled unconditionally in automake-2.0 and
    automake-1.14 gives us warnings about the upcoming change.
    
    Rework I1b3c517f08d3c752ee03cb89482ee4951ceb5bf3 (and
    I416f2d3611fb61659b9a7f7285e5f54a354fbe7d) to give wslua/make-reg.pl the directory of
    the source files rather than the full path to each.
    
    In echld don't use sources in the top-level directory in libechld: it breaks
    distclean with subdir-objects turned on.
    
    Bug: 10648
    Change-Id: I404b074f1558376064c35d8fc96aea7e3d042a76
    Reviewed-on: https://code.wireshark.org/review/6697
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit d93a90b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 21 18:09:30 2015 -0800

    Make the individual install_ and uninstall_ functions idempotent.
    
    Move the "do I want this and, if so, is it already installed?" checks
    into the install_ functions.
    
    Move the "is this already installed?" checks into the uninstall_
    functions, and have them clear the appropriate installed version
    variable when finished.
    
    Also, fetch the installed versions early in the main line.
    
    Change-Id: I9e5d8ca48285c6d424a4a2a5f53f4aa449a891d3
    Reviewed-on: https://code.wireshark.org/review/6730
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 33c1858
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 21 16:27:09 2015 -0800

    Pull the installs into a function.
    
    Call it install_all to avoid collision with the OS's install command, if
    any; rename the uninstall function to uninstall_all to match.
    
    Change-Id: I9383424ff3910f04244493569fed3e5bc5d3d99d
    Reviewed-on: https://code.wireshark.org/review/6729
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 16f2147
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 21 16:17:07 2015 -0800

    Pull the install and uninstall sequences into functions.
    
    That lets us put the install and uninstall sequences for a particular
    tool or library together, and separates them from the overall
    installation and uninstallation flow.
    
    Change-Id: I5e7def9983b587ba7c3276a9d5762db340a04802
    Reviewed-on: https://code.wireshark.org/review/6728
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f7d9334
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 16:55:47 2015 -0500

    isakmp: col_...() shouldn't be called under 'if (tree)'
    
    Change-Id: I6fa497ca99e2ad3b675697fd28eeafd61190a17c
    Reviewed-on: https://code.wireshark.org/review/6726
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit bc5c484
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 15:49:12 2015 -0500

    Remove some dead initializers
    
    Change-Id: I16c88b5e8f6e79a0d9b33b9c3c4d94f77ecfdfa2
    Reviewed-on: https://code.wireshark.org/review/6723
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit b0f37ba
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 15:33:36 2015 -0500

    vcdu: minor cleanup
    
    - Remove dead initializers (and localize some vars);
    - proto_item_set_len() takes a 'proto_item *';
    - Use gboolean for a TRUE/FALSE var;
    - Remove a set of unneeded brackets.
    
    Change-Id: Ic7b27e2cd321c9d307c01cc4afdb0fc4c6d3cd55
    Reviewed-on: https://code.wireshark.org/review/6722
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 0671965
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 15:12:40 2015 -0500

    usb-hid: fix 2 minor bugs and some dead initializers
    
    One bug was introduced in g4d58904
    
    Change-Id: I16a5e83f11f48038945e957c7e6ce9d50b4aec46
    Reviewed-on: https://code.wireshark.org/review/6721
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 32ab59f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 14:27:46 2015 -0500

    synphasor: General cleanup
    
    - col_...() shouldn't be under 'if (tree)';
    - remove dead initializers;
    - use proto_tree_add_subtree() in place of ..._add_text()/...add_subtree()
       in one more instance;
    - tvb_length() --> tvb_reported_length();
    - use 'proto tree *' variable instead of incorrect 'proto_item *' var in
       one instance;
    - use SYNP_... for a few macro names to prevent any possible
       namespace collisions;
    - fix some long-lines, indentation and whitespace.
    
    Change-Id: I4e0a2e5d0b5e13b72a14ec6dd3779a7104534445
    Reviewed-on: https://code.wireshark.org/review/6720
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 009ca9f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 11:41:34 2015 -0500

    srvloc: fix a very minor bug
    
    Change-Id: I822602c569fd6241757ceb558224c255937f3130
    Reviewed-on: https://code.wireshark.org/review/6719
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 3dc1b4e
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 21 11:38:33 2015 -0500

    ieee802154: (trivial) proto_item_set_len() takes a 'proto_item *'
    
    Change-Id: I83945ccf73e2c8f355a3ff843271d35143758b1d
    Reviewed-on: https://code.wireshark.org/review/6718
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit e1f4f53
Author: Dario Lombardo <lomato@gmail.com>
Date:   Wed Jan 21 15:00:56 2015 +0100

    HPFEEDS: cleanup in the dissector code.
    
    Change-Id: Ia675fb703811c4b6be6a278d9396a917dfcf982d
    Reviewed-on: https://code.wireshark.org/review/6715
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit fb1e149
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 21 08:41:19 2015 -0800

    NSIS: Simplify wireshark.nsi.
    
    Replace a pile-o-ifdefs with generated include files. This should make
    it easier to add an NSIS target to CMake.
    
    Drop ICONV_DIR and ADNS_DLL. We haven't used either for quite a while.
    
    Change-Id: I71b08cccdb9fe2b2a166b63848a9ded5ebc5f873
    Reviewed-on: https://code.wireshark.org/review/6717
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 163071e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jan 21 10:06:33 2015 +0100

    GSM SIM: for a FETCH command, a Le of 0 means 256 bytes
    
    Change-Id: Ia8969747c215a5ba7e9242b6266114b0e9e00859
    Reviewed-on: https://code.wireshark.org/review/6712
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 17a1748
Author: Josip Medved <jmedved@jmedved.com>
Date:   Tue Jan 20 23:42:17 2015 -0800

    Updated NSN dictionary with vendor-specific Sy application AVPs.
    
    Change-Id: I4cd9bd7f7219e4d9ff1bb8a71fab32439a8a9a35
    Reviewed-on: https://code.wireshark.org/review/6705
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6c728d5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 21 01:00:43 2015 -0800

    Support Sun^WOracle C's -xldscope=hidden for hiding externals.
    
    Change-Id: Id9c852f384a4450b82c8d596f4628d1ccbcf95bc
    Reviewed-on: https://code.wireshark.org/review/6707
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2ee0ea0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jan 20 23:22:40 2015 +0100

    IEEE 802.15.4: fix display of 64 bits address (broken in gecaa1f8)
    
    Change-Id: I1fc117ac6522b4df53ceafb635aeb3b1f34a54d3
    Reviewed-on: https://code.wireshark.org/review/6695
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ed413e9
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Jan 20 21:44:49 2015 -0500

    Link only the GUIs with SBC (if we have SBC).  The other programs don't
    (yet) use libcodec.
    
    Also, there's no need to explicitly call pkg-config to get SBC's
    CFLAGS and LIBS: PKG_CHECK_MODULES does that for you.
    
    Change-Id: Ia7aa84bb81b8223773661ae2dc663731acaf6c6b
    Reviewed-on: https://code.wireshark.org/review/6700
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 46fabdc
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Jan 20 22:00:24 2015 -0500

    Make the license tag in the RPM more specific: Wireshark is GPLv2+.
    
    Change-Id: I82de1bc4ffcb1e962b1a35dc58aaa87aca04ed5e
    Reviewed-on: https://code.wireshark.org/review/6701
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bc86257
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 20 23:27:08 2015 -0800

    Also support -xarch=sse_42 in the Sun C compiler for x86(-64).
    
    Change-Id: Ib6d0ae9c237b96568e2522d2077b311b3ac5af2e
    Reviewed-on: https://code.wireshark.org/review/6706
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit db6f733
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 20 20:39:09 2015 -0800

    Always set the COMPILE_FLAGS property, so we can always fetch it.
    
    If we aren't adding -Werror, just set it to a null string, so when we
    fetch it to add the SSE 4.2 flag to it for ws_mempbrk_sse42.c, it
    doesn't fail.
    
    Change-Id: I53858130c025e094ed8d0d975451961506fb1a39
    Reviewed-on: https://code.wireshark.org/review/6704
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 41cbbc2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 20 20:32:27 2015 -0800

    Don't set SSE4_2_FLAG to -msse4.2 unless -msse4.2 works.
    
    Change-Id: I54eca86d53dc0e4015a15491b9adfdfe9ef9e346
    Reviewed-on: https://code.wireshark.org/review/6703
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8a0bd92
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 20 19:17:36 2015 -0800

    Check whether we can use nmmintrin.h.
    
    If we think the compiler supports SSE 4.2, check whether we can use
    nmmintrin.h if we tell the compiler to compile with SSE 4.2 support; if
    not, disable SSE 4.2 support.
    
    This matches what we do in autotools.
    
    Change-Id: I474d53d2fe7e2628faca7309efd7155b63bd7eab
    Reviewed-on: https://code.wireshark.org/review/6702
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8051657
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Mon Jan 12 15:16:03 2015 -0500

    Modernize the description of Wireshark given in the RPM info.
    
    The initial suggestions came from Michal Labedzki on
    https://code.wireshark.org/review/#/c/4178
    
    Change-Id: Iae04d667f70ae73b46d2edc1645c238ef6efc518
    Reviewed-on: https://code.wireshark.org/review/6511
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Niels de Vos <devos@fedoraproject.org>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 64f4287
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 20 18:46:10 2015 -0800

    Get rid of trailing blank.
    
    Change-Id: Ia1bbd632fe00cfe6b919aacc0cd198953211fe7f
    Reviewed-on: https://code.wireshark.org/review/6699
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bf23953
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 20 18:44:17 2015 -0800

    Only turn -msse4.2 on for ws_mempbrk_sse42.c, and don't always build it.
    
    Move all the SSE 4.2 stuff to wsutil/CMakeLists.txt.
    
    Don't put ws_mempbrk_sse42.c in WSUTIL_FILES by default; add it if we
    think the compiler supports compiling for SSE 4.2.
    
    Add -msse4.2 to its COMPILE_FLAGS, but don't add it to any other
    compiler flags - we don't want to build anything else with -msse4.2 by
    default, as the only code that uses SSE 4.2 instructions but *only* does
    so if the processor supports it is our mempbrk implementation.  (And
    *add* it, don't *replace* the existing flags with -msse4.2; that way,
    -Werror is left in there as well.)
    
    Change-Id: I979b37a37e4b88b3af11e2275e89441118c8ce0a
    Reviewed-on: https://code.wireshark.org/review/6698
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f215102
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 20 16:29:06 2015 -0800

    Handle CFLAGS disabling SSE 4.2.
    
    When checking whether nmmintrin.h works, add -msse4.2 at the *beginning*
    of CFLAGS, so that user (or Gentoo build process) settings with
    -mno-sse4.2 override it.
    
    Bug: 10792
    Change-Id: I1b77c2a092360a86bc7012d29642ff3303b60812
    Reviewed-on: https://code.wireshark.org/review/6696
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5f70fd6
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 20 16:44:10 2015 -0500

    dsi: fix a trivial bug
    
    Change-Id: Ieafbd148211154a465ab1ce8fe36d2110882c458
    Reviewed-on: https://code.wireshark.org/review/6694
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit d2d699a
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jan 20 10:05:06 2015 -0500

    Move all SigComp functionality to the SigComp dissector.
    
    While it does make packet-sigcomp.c much bigger, there's no reason for it to be in epan directory.
    
    Change-Id: I2d78c32de1d56e76578e610d4df586b5610d1b49
    Reviewed-on: https://code.wireshark.org/review/6682
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 160af3c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jan 20 22:20:54 2015 +0100

    HTTP2: fix test failure on Solaris SPARC
    
    Do not make any assumption on the endianness: not all hosts running Wireshark are little endian
    
    Change-Id: I8792904f7000b4f2b9e44ffe41f350ba8b4932d4
    Reviewed-on: https://code.wireshark.org/review/6693
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 74ed8b5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 19 13:10:59 2015 +0100

    Add DNS stats to release-notes
    
    Remove in NEWS by gca174999
    
    Change-Id: I000b7d6421db247dcafacfa73ef049e938d42cc5
    Reviewed-on: https://code.wireshark.org/review/6650
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 0169cc8
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 20 15:26:54 2015 -0500

    Remove some dead initializers
    
    Change-Id: I0478fa5c476a1914ae0c18feafc7720dd3111d84
    Reviewed-on: https://code.wireshark.org/review/6690
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit eefd529
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 20 15:23:50 2015 -0500

    bpdu: Fix minor bug introduced in g188aa9a
    
    Change-Id: Ibce8848dded5896223af117a85bc0b6e321160e8
    Reviewed-on: https://code.wireshark.org/review/6689
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 2c312b6
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 20 14:47:23 2015 -0500

    acn: col_...() shouldn't be called under 'if (tree)'
    
    Change-Id: I4d7d1826391b0ac12ef6ad184e7c79d279db5e28
    Also: remove some dead initializers.
    Reviewed-on: https://code.wireshark.org/review/6688
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit c0a403a
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 20 14:18:53 2015 -0500

    6lowpan: Fix a few minor bugs; Also: Misc
    
    (Bugs were introduced in gf5e2b42);
    Misc:
        Localize a few variables;
        Remove some dead initializers.
    
    Change-Id: Ib7493740ecf29ed9f753475f721b47a64f54a278
    Reviewed-on: https://code.wireshark.org/review/6687
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit f63628d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 20 09:43:33 2015 -0800

    CMake: Use wrapper scripts instead of symlinks.
    
    When building an application bundle, create wrapper scripts at the top
    level instead of symlinking to each executable.
    
    Change-Id: I080e43de545a709b29c1d6b6c6ec416e5a5a8247
    Reviewed-on: https://code.wireshark.org/review/6683
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5268d7f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jan 20 12:51:08 2015 -0500

    cattp: Minor tweaks and whitespace changes
    
    Change-Id: I128318ffb385930f00675030227e0048306a9f4c
    Reviewed-on: https://code.wireshark.org/review/6684
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 6e6a129
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Jan 18 13:27:13 2015 -0800

    CMake: Set an output directory for plugins.
    
    Redefine PLUGIN_DIR similar to DATAFILE_DIR and use it on all
    platforms. Add WiresharkPlugin.cmake so that we can start defining common
    macros for plugins/*/CMakeLists.txt. Load plugins in out-of-tree builds.
    
    Change-Id: I8c1359ed3cf8a71788b8320ff89dfe2d3969def2
    Reviewed-on: https://code.wireshark.org/review/6640
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit af3924a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 8 17:04:05 2015 +0100

    HTTP2: Add HPACK decode to test suite
    
    Change-Id: Ic84942b78a795974d6e2023751245ad98b8f1142
    Reviewed-on: https://code.wireshark.org/review/6415
    Reviewed-by: Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b2e172a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jan 13 10:41:32 2015 +0100

    DHCP/BOOTP: Option 125 Suboption: (5) fix display Modem Capabilities
    
    Only display dissect of Modem Capabilites when sub option = 5
    Actually, it is always display when ftype == special (like sub option = 0)
    
    Change-Id: I5b75654b750bae5ae5022adcb5e8dd055ce6b291
    Reviewed-on: https://code.wireshark.org/review/6519
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f3cbee6
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jan 19 11:55:01 2015 -0500

    NCP2222: fix possible buffer-overflow
    
    Caught by ASAN (thanks Alexis!)
    
    Change-Id: Ibbe2c405ba1a3ba0d5a5b9ffff9e95282526028b
    Reviewed-on: https://code.wireshark.org/review/6652
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1af7b97
Author: Dario Lombardo <lomato@gmail.com>
Date:   Mon Jan 19 23:12:25 2015 +0100

    Bug fix in json dissector that made the heuristic fail.
    
    Change-Id: Iff53cfd8fd9d760b04c638c87f8a44587b268cd7
    Reviewed-on: https://code.wireshark.org/review/6674
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 11e557a
Author: Matthieu Texier <matthieu@texier.tv>
Date:   Thu Jan 15 18:24:20 2015 +0100

    ISIS: Making a segregated function for sub-tlv used by multiple tlv
    
    Change-Id: Ifda28dea4b5282ea01a51cdcb3297aeeeb2a848d
    Reviewed-on: https://code.wireshark.org/review/6550
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8c15ac4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 19 18:32:42 2015 -0800

    Possibility -> certainty.
    
    Change-Id: I03440a9b4ca13399aa14f3baaabd7aa40a843f28
    Reviewed-on: https://code.wireshark.org/review/6678
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f16e8fb
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 19 13:33:01 2015 -0800

    pdb_zip_package: Enable multithreaded compression.
    
    Change-Id: If72c65663abb7e3bf1a436d1ecb5eb84f67ad3f8
    Reviewed-on: https://code.wireshark.org/review/6677
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit c3ad53f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 19 16:47:55 2015 -0800

    Fix one item.
    
    We *do* get the absolute path of the executable, so we *could* look for
    "run" right before the executable name.  The issue is that there's not
    the stronger libtool-imposed convention that the executable is in
    ".libs", so the chances of a false positive or false negative are
    higher.
    
    Change-Id: Ib2d5f370d50fee07479c4ffe6f90ba4a91c7f271
    Reviewed-on: https://code.wireshark.org/review/6676
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7c69079
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 19 13:33:01 2015 -0800

    CMake: Add a pdb_zip_package target.
    
    Add a "pdb_zip_package" target similar to the NMake pdb_zip target.
    
    Change-Id: I23d114a63fa05f722ee90b77ea458d9e496e5bf9
    Reviewed-on: https://code.wireshark.org/review/6673
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit bea25fa
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 19 13:10:22 2015 -0800

    The times in question are local, not UTC.
    
    Revert to the older code, but just show the time as "Not representable"
    if gmtime() fails.
    
    Change-Id: I435facc042e3ca35fb07292a4b2657ccdfd02abb
    Reviewed-on: https://code.wireshark.org/review/6672
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 58d9ca8
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 11 16:46:36 2015 +0100

    add some more apdus to the apdu table
    
    Change-Id: Id5e5efea46e9ff6196607e56f0212fb083e8635c
    Reviewed-on: https://code.wireshark.org/review/6670
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 6c02abf
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 11 15:14:21 2015 +0100

    start dissecting the ZVT authentication apdu
    
    add a length paramenter to the body dissection functions in the apdu table
    
    Change-Id: I4abbd9078fd36385a816963ab042f443e3c26b60
    Reviewed-on: https://code.wireshark.org/review/6669
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 4fc8286
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 11 13:41:27 2015 +0100

    display the control field text in the info col
    
    Change-Id: I3dc0f58b4861a08be687214cae9c6681ebcac286
    Reviewed-on: https://code.wireshark.org/review/6668
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit c846af1
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 11 12:45:39 2015 +0100

    continue the dissection of ZVT APDUs
    
    define an apdu table with the direction, minimum length
    and a fuction to dissect the apdu payload
    
    set the source and destination address columns depending on the apdu
    
    add some entries to the apdu table
    
    Change-Id: I52bd15bfab7bbe6c97dfe64084e69a51e65a8a6e
    Reviewed-on: https://code.wireshark.org/review/6667
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 71d83aa
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Jan 19 07:04:48 2015 +0100

    tvb_length() -> tvb_captured_length()
    
    Change-Id: I520b38ed37b2d16d9a15f57b8e83b0b59c9a528c
    Reviewed-on: https://code.wireshark.org/review/6666
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 0dcb91d
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 19 15:38:29 2015 -0500

    synphasor: (trivial) Do dissector_add_uint("rtacser.data",...) only once
    
      and not each time prefs are changed.
    
      Also: do minor whitespace changes.
    
    Change-Id: I04bfc212e288473a78113e8b124ce4a13ad74ad1
    Reviewed-on: https://code.wireshark.org/review/6663
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 5fa13c6
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 19 15:32:45 2015 -0500

    README.dissector: Minor update re date/time display.
    
    Change-Id: Iae467efeccd2e51ea66aab029100c958de7d374e
    Reviewed-on: https://code.wireshark.org/review/6662
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 7a81add
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 19 15:19:46 2015 -0500

    synphasor: prevent possible crash; gmtime() can return NULL;
    
    Don't do manual conversion of a time-field to UTC using gmtime().
    Use the standard Wireshark mechanisms.
    
    Change-Id: I2eaee074a590ecab492336bb6ad794bdd036f699
    Reviewed-on: https://code.wireshark.org/review/6661
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 7e1d73d
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 19 15:15:45 2015 -0500

    dmp, gmhdr, vssmonitoring: prevent possible crashes;
    
    gmtime()/localtime() can return NULL.
    
    Change-Id: If0589261429ee15d0c07972a99d94f9fe83626f6
    Reviewed-on: https://code.wireshark.org/review/6660
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit d1cace9
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jan 19 15:03:23 2015 -0500

    smb-pipe: prevent possible crash; gmtime() can return NULL.
    
    For FT_ABSOLUTE_TIME fields:
    
    Instead of calling gmtime()/mktime() to convert a time to UTC time
    which is then displayed using proto_tree_add_time(),
    
    Use ABSOLUTE_TIME_UTC as the 'display' value for the field and then
    display the field using proto_tree_add_item().
    
    Change-Id: I1926c40de76a86072437902cb7621d3873827b11
    Reviewed-on: https://code.wireshark.org/review/6659
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit b41065e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 19 21:28:52 2015 +0100

    BGP: EVPN - Route Type 4 - "Invalid length of IP Address" - "Expert Info" shows a false error
    
    Wrong offset (14 -> 20) to get IP Address Legnth
    
    Issue Reported by Rui
    Bug: 10873
    
    Change-Id: Ib7aa80ac78028a2c8d548f4030278166be9ed0cc
    Reviewed-on: https://code.wireshark.org/review/6657
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 9fd5078
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 19 21:28:04 2015 +0100

    BGP: fix  field bgp.evpn.nlri.mpls_ls is not of type FT_STRING, FT_STRINGZ, or FT_STRINGZPAD
    
    Change-Id: Ida14611dee9eb01e1eab13a96c15ab3d759ed1cd
    Reviewed-on: https://code.wireshark.org/review/6656
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ab8a13d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 19 12:26:06 2015 -0800

    Don't mix declarations and code - it's not legal C90.
    
    Change-Id: I1a89c729255560d596e4d7701468cca3e9000357
    Reviewed-on: https://code.wireshark.org/review/6655
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c0fd539
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jan 19 20:50:12 2015 +0100

    ZigBee: fix dissection of epoch time in OTA cluster
    
    Bug: 10872
    Change-Id: I25275ecb76cc03774ab210fb33a3bef5b1982585
    Reviewed-on: https://code.wireshark.org/review/6653
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit de4164f
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Jan 19 15:24:47 2015 +0100

    On my system NSIS installs in the path defined in environment variable
    ProgramFiles(x86)=C:\Program Files (x86)
    Add that to the locations where we look for it. I couldn't use
    ProgramFiles(x86) as a constant so put the path verbatim.
    
    Change-Id: Ibad9d4e2544e5b3924e10c68f02e072b0012226f
    Reviewed-on: https://code.wireshark.org/review/6651
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c8bca4f
Author: Josip Medved <jmedved@jmedved.com>
Date:   Mon Jan 19 00:33:22 2015 -0800

    Updated company name from Nokia Siemens Networks to Nokia Solutions and Networks.
    
    Change-Id: I93782facc2e3f9ff6358cf617968fac30bac1f7a
    Reviewed-on: https://code.wireshark.org/review/6647
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1b5a965
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 19 09:46:36 2015 +0100

    JSMN : fix typo (it will be fix make distcheck)
    
    Change-Id: I188be77b77a5a52b233d482d6d8ea8b97adc00db
    Reviewed-on: https://code.wireshark.org/review/6649
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 48e90da
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 19 08:38:16 2015 +0100

    Fix make dist on Ubuntu buildbot
    
    Change-Id: Id3a5ed08fb8b7c721f8eeabbba723a9de0d47b0f
    Reviewed-on: https://code.wireshark.org/review/6648
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f90a10a
Author: Josef Baumgartner <josef.baumgartner@br-automation.com>
Date:   Tue Oct 21 13:12:18 2014 +0200

    epl: Rework POWERLINK (EPL) dissector
    
     With this patch we want to enable a better support of POWERLINK
     as a protocol for people who have to perform network diagnostics using
     analyzing tools. Up until now, the main tool used was Omnipeek.
     Now wireshark will be used more and more, due to the new extcap
     infrastructure, which supports debug tools to be added as capture
     devices.
    
     To better facilitate that change, we have adapted the textual
     representation of the Omnipeek dissector for POWERLINK, as it
     allows for a faster and simpler diagnosis routine.
    
     Additionally the name of the protocol has been changed to it's
     correct name "POWERLINK" as this is the official name used by
     EPSG for describing the protocol.
    
    Changelog:
     - Add error code definitions and string values.
     - Change name for protocol column to POWERLINK which is more commonly
       used than EPL.
     - Reformat output in info column to look like output the output of
       the POWERLINK plugin for Omnipeek. This facilitates the transition
       to Wireshark. The added information and changed output improves the
       debugging of POWERLINK nerworks.
    
    Change-Id: I795e2487f2ae7af6b90c29366a1843c9fabffa85
    Reviewed-on: https://code.wireshark.org/review/5581
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f53be88
Author: Dario Lombardo <lomato@gmail.com>
Date:   Fri Jan 2 21:33:49 2015 +0100

    JSON dissector changed into heuristic dissector.
    
    To check if a payload is json, the library libjsmn has been added to the source tree, with its licence (MIT).
    TODO: the libjsmn can be used to extract tokens in the standard dissection other than heurisitic part.
    
    HPFEEDS dissector has also been changed in order to leverage the new json dissector.
    
    Bug: 10834
    Change-Id: Ib1df2a699982dbdd2b5418e97edbdb5cbd9c8978
    Reviewed-on: https://code.wireshark.org/review/6350
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 119416e
Author: Luke Mewburn <luke@mewburn.net>
Date:   Tue Dec 23 18:32:34 2014 +1100

    TCAP: support dialogue confirmation
    
    TCAP permits the changing of the originating address on the first
    backwards continue (i.e. the establishment of the dialogue).
    See ITU-T Q.771 (06/97) clause 3.1.2.2.2.2 Confirmation of the dialogue.
    In practice, a BEGIN replied to with an END can also exhibit this behaviour.
    
    For example, a BEGIN from GT A TID TA -> GT B,
    and the reply CONTINUE from GT B2 TID TB -> GT A TID TA.
    To support this, only support a single address hash in
    tcaphash_begin_info_key_t and tcaphash_end_info_key_t.
    The match of the first CONTINUE should find the appropriate
    tcaphash_begin and create the appropriate tcaphash_end entries.
    
    Also fix compile warning with DEBUG_TCAPSRT.
    
    Bug: 10841
    Change-Id: Ibe75e3940e757727357b20be10f9c195c5888fdd
    Reviewed-on: https://code.wireshark.org/review/6446
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c4297e6
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Jan 18 00:23:33 2015 +0100

    Skinny: packet-skinny.c
    Changes: Number of small changes to the xml file:
    	- some fields being connected to the wrong message version
    	- some header field naming
    
    Change-Id: I062c31777a4193de3d5c44b0ba733dd9d1702352
    Reviewed-on: https://code.wireshark.org/review/6602
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 199cb06
Author: Sergio Moreno Mozota <sergio.morenomozota@telefonica.com>
Date:   Sat Jan 17 23:24:22 2015 -0500

    RTP: Parse problem in dissect_rtp_hext_rfc5215_onebyte
    
    some commercial IPTV streamers send bogus info in the extension headers, add some sanity check to skip the erroneous bytes.
    
    Bug: 10513
    Change-Id: I6f20073a00ed0f791fa99701534360d304060053
    Reviewed-on: https://code.wireshark.org/review/6606
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e333e4c
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 17 14:11:29 2015 -0500

    Convert OID APIs to use wmem.
    
    There are a few oid functions that are only called in oids_test.c.  I'll presume the APIs are used in proprietary dissectors rather than just remove them.
    
    Change-Id: I4595e00f93bf9ab8cf2493fe0432b91960f55a3f
    Reviewed-on: https://code.wireshark.org/review/6592
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 59155d1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 17:48:53 2015 -0800

    Eliminate ep_strdup(), as it's no longer used.
    
    Also, remove some no-longer-existent functions from checkAPIs.pl.
    
    Change-Id: I2bf11e3ec03a34f9e89d58d560e340d76fd3ddc1
    Reviewed-on: https://code.wireshark.org/review/6645
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5162b7f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jan 18 18:41:37 2015 -0500

    smpp: Prevent crash if invalid date/time field.
    
      gmtime()/localtime() can return NULL;
    
    Bug 10868
    Change-Id: I496bab62555c7741b3d159726e74a3d14c4b51cb
    Reviewed-on: https://code.wireshark.org/review/6644
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit b2b640f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 15:48:22 2015 -0800

    Reflect the disappearance of the seasonal allocator.
    
    Change-Id: I1c76bf9eed516aa9afbc04b1b9236a04b0b1988c
    Reviewed-on: https://code.wireshark.org/review/6643
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4cea624
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 15:46:23 2015 -0800

    This currently requires emem.h.
    
    Change-Id: I55cca8de9be07fbec4e771c0f6d50075fc75bef8
    Reviewed-on: https://code.wireshark.org/review/6642
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ae92cd4
Author: AndersBroman <a.broman@bredband.net>
Date:   Sun Jan 18 16:38:35 2015 +0100

    [Qt] Run windeployqt for Qt versions greater than 5.2
    
    Change-Id: I3c7e7ed35ffead280c1ac394a4ef8172a89fe3a6
    Reviewed-on: https://code.wireshark.org/review/6622
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5970223
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 14:16:55 2015 -0800

    Put back ep_alloc0(), accidentally deleted in the removal of the se_ stuff.
    
    (The se_ stuff wasn't as contiguous as I thought.)
    
    Also fix some comments to no longer refer to #defines for se_ stuff.
    
    Change-Id: Ibc53e6f0f135bee9795f98550d5242e8e58afb16
    Reviewed-on: https://code.wireshark.org/review/6641
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 820c795
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 13:30:21 2015 -0800

    This file currently does need emem.h.
    
    Change-Id: I27e709470d92d4be32ae42a3f4672f2070eaf65e
    Reviewed-on: https://code.wireshark.org/review/6639
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7940bbc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 13:26:12 2015 -0800

    Nobody uses se_ allocations, so remove the code for them.
    
    Don't check for se_ routines in checkAPIs; the failure to compile or
    link will suffice to catch attempts to use them.
    
    Update comments in another test script to reflect the disappearance of
    the session allocator.
    
    Change-Id: If50d953c7130f48b696bc2dd9d327bea2af49bd4
    Reviewed-on: https://code.wireshark.org/review/6638
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d2d4cf2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 13:10:18 2015 -0800

    Remove a couple more apparently-no-longer-necessary emem.h includes.
    
    Change-Id: I007a904613653b60a5b1a4fdc8261bc1480e41c6
    Reviewed-on: https://code.wireshark.org/review/6637
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 050bc7d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 13:02:15 2015 -0800

    Update some comments to reflect reality.
    
    Get rid of references to ep_ and se_ allocation in code that now uses
    wmem allocation instead.
    
    Fix API documentation of conversation_table.h routines to reflect that
    as well - some APIs changed to pass wmem scopes.
    
    Also, zbee_sec_key_hash() now takes the output buffer as an argument and
    just returns it, and nobody actually uses the return value, so change it
    to return void.
    
    Change-Id: Ife1ec675a9322fd0f0be306a9d639ec17aad1c7a
    Reviewed-on: https://code.wireshark.org/review/6636
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 929d41c
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jan 18 12:15:26 2015 -0500

    Replace the last THROW ep_ calls with wmem
    
    They (should) all be strictly within the context of dissection, so can just
    become packet_scope.
    
    Change-Id: Iaaa733628132f3ee3f1597f3df956e44080734f6
    Reviewed-on: https://code.wireshark.org/review/6631
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 212eb17
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jan 18 12:08:39 2015 -0500

    replace DISSECTOR_ASSERT ep strings with wmem
    
    the DISSECTOR_ASSERT macro and friends are all guaranteed to be called within
    the scope of a dissection, so they are safe to replace with wmem_packet_scope.
    
    Change-Id: I2684fb902da78d50aca5f4644df66c060caff625
    Reviewed-on: https://code.wireshark.org/review/6629
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 44e7ce5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 12:18:38 2015 -0800

    Remove some apparently-unnecessary includes of emem.h.
    
    Change-Id: Ib7d1b587b439ff21ec6b7f1756ce6ccf25b66f80
    Reviewed-on: https://code.wireshark.org/review/6635
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7abb103
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jan 15 13:07:48 2015 -0800

    CMake: Copy data files to the run directory.
    
    Set DATAFILE_DIR to a value that includes the build configuration. Add a
    copy_data_files target that copies AUTHORS-SHORT, the default filters,
    and other support files to the run directory. Add FindPowerShell.cmake
    and require it on Windows. Remove some OS X BUNDLE_RESOURCE_
    declarations which are now covered by copy_data_files.
    
    Change-Id: Iade74946dd5ed2c54239036aa4970f9ffc4681a4
    Reviewed-on: https://code.wireshark.org/review/6561
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 24954d6
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jan 18 14:45:30 2015 -0500

    proto.c: Update some comments to reflect reality
    
    Change-Id: I0f82666cb233688d94d6f3a2c45d7490a7f79bec
    Reviewed-on: https://code.wireshark.org/review/6634
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit e601e01
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 11:46:28 2015 -0800

    Remove some apparently-unnecessary includes of emem.h.
    
    Also update a comment to no longer speak of ep_ allocation, and add an
    include of <glib.h> to ui/profile.c, which was formerly relying on the
    include of emem.h to drag it in.
    
    Change-Id: I08926699ee96cf66672836b6ee3bbb405b507ce8
    Reviewed-on: https://code.wireshark.org/review/6633
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 233dc64
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 11:33:27 2015 -0800

    Remove some apparently-unnecessary includes of emem.h.
    
    Change-Id: Id50ce3e707056cca8f30052f05c451ce431b39b5
    Reviewed-on: https://code.wireshark.org/review/6632
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 71c21a6
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 16 12:35:14 2015 -0500

    Remove seasonal memory from address resolution.
    
    This is the last remaining use of se_ memory APIs.
    
    Change-Id: Ic0508a830bc5460bc743d21eb33ffdd7f4ce2eb5
    Reviewed-on: https://code.wireshark.org/review/6574
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 90fc37e
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 18 18:08:07 2015 +0100

    make things a bit easier to read...
    
    Change-Id: I3499c2f9e07a960f8bdf83973693bdeb4fb4ebd9
    Reviewed-on: https://code.wireshark.org/review/6630
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 1722d2a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 18 17:28:16 2015 +0100

    remove trans_info parameter from dissect_usb_hid_report_item()
    
    Change-Id: I04eba644be7dd3e64b67c7d42c596bcdcf6a1942
    Reviewed-on: https://code.wireshark.org/review/6628
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 4399319
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 18 17:16:15 2015 +0100

    clean up the functions that dissect the hid requests
    
    Change-Id: Ie4d52b62824a8c0c777ffce3988fbe1fd4e5b4a4
    Reviewed-on: https://code.wireshark.org/review/6627
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 9ba910f
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 18 17:07:41 2015 +0100

    remove redundant (and unused) paramter usb_trans_info
    
    Change-Id: Ibb683f6d42125b13417aceb06949102a9821d626
    Reviewed-on: https://code.wireshark.org/review/6626
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 2441a23
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 18 08:04:40 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-01-18]
    
    Change-Id: If1c72e3b58ced6b9b86a584d96f632b2433751e8
    Reviewed-on: https://code.wireshark.org/review/6623
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0d92b99
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 18 15:20:57 2015 +0100

    ISUP: add dissection of generic number qualifier indicator
    
    Bug: 10865
    Change-Id: Ib4cd60f570250490d5417c692f487711a65536b1
    Reviewed-on: https://code.wireshark.org/review/6620
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b01ef11
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 18 15:35:29 2015 +0100

    HTTP: revert a change done in g0ee179c
    
    As indicated in the comment above, the previous code was done on purpose to handle the NUL case
    
    Bug: 10866
    Change-Id: I66eb9f6fbc9477456310978b420ba30975d81b0a
    Reviewed-on: https://code.wireshark.org/review/6621
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 2660806
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 18 13:51:00 2015 +0100

    no need for if(tree)
    
    Change-Id: I7e8cfe3a220d65e80afa109a62867c4ff2ce08e8
    Reviewed-on: https://code.wireshark.org/review/6619
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit c922801
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 17 18:30:07 2015 -0500

    ftype (integer): fix Uninitialized argument value found by Clang Analyzer
    
    Change-Id: I79e893f1d810a90c6a495067941d2e393e9fee72
    Reviewed-on: https://code.wireshark.org/review/6501
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e7593ea
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 18 13:13:00 2015 +0100

    asn2wrs: autodetect if 64 bits variant is required for constrained integers
    
    It does not work with defines, but is already a great step forward
    
    Change-Id: I346d4124690ec46a2299d4eae8031bbb19a3db8e
    Reviewed-on: https://code.wireshark.org/review/6617
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 12d17d2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 18 13:35:20 2015 +0100

    Update libwireshark0.symbols
    
    Change-Id: I694448a998d3a1b74b19d2f1dfd6bb2be5bbce39
    Reviewed-on: https://code.wireshark.org/review/6616
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c326fca
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 18 12:22:22 2015 +0100

    LDAP: g8c608e6 did not include the changes in template file, that got lost afterwards
    
    Change-Id: I5d79d3e48c1ad83713a312dce39b749f47b0ecc8
    Reviewed-on: https://code.wireshark.org/review/6612
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 13b1e90
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 18 11:58:02 2015 +0100

    ASN.1: regenerate dissectors after g506409d
    
    Change-Id: If82112ce7bae4de0c0c24794dc57ffebbf401978
    Reviewed-on: https://code.wireshark.org/review/6611
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ebea11a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 02:46:49 2015 -0800

    We need epan/wmem/wmem.h regardless of whether we have GeoIP.
    
    It's used to generate the "sorry, we don't have GeoIP" message.
    
    Change-Id: Ibd4e15508d3e2d09d81951b4dc23a1264971bb7a
    Reviewed-on: https://code.wireshark.org/review/6610
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c7500dd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 02:43:54 2015 -0800

    Fix another dfilter_compile() call.
    
    Change-Id: I8b035a09b1bc1981a78a80e0a2547dce65a2ac9c
    Reviewed-on: https://code.wireshark.org/review/6609
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cfcbb28
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 18 02:22:19 2015 -0800

    Clean up ftype-conversion and dfilter error message string handling.
    
    Have dfilter_compile() take an additional gchar ** argument, pointing to
    a gchar * item that, on error, gets set to point to a g_malloc()ed error
    string.  That removes one bit of global state from the display filter
    parser, and doesn't impose a fixed limit on the error message strings.
    
    Have fvalue_from_string() and fvalue_from_unparsed() take a gchar **
    argument, pointer to a gchar * item, rather than an error-reporting
    function, and set the gchar * item to point to a g_malloc()ed error
    string on an error.
    
    Allow either gchar ** argument to be null; if the argument is null, no
    error message is allocated or provided.
    
    Change-Id: Ibd36b8aaa9bf4234aa6efa1e7fb95f7037493b4c
    Reviewed-on: https://code.wireshark.org/review/6608
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c60fb30
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jan 18 10:23:10 2015 +0100

    Try to make Mac OS X Buildbots happy
    
    fix return makes pointer from integer without a cast
    
    Change-Id: Iaa55de58c36b1a59b08946836e519fee7bb889fc
    Reviewed-on: https://code.wireshark.org/review/6607
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a1f2342
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 17 21:17:24 2015 -0500

    Miscellaneous ep_strdup_printf replacement.
    
    Change-Id: I973c672e9d573ad67e9b9fd82a5610aaf8a74efa
    Reviewed-on: https://code.wireshark.org/review/6605
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ef7e8aa
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 17 20:59:20 2015 -0500

    Remove ep_strndup
    
    Change-Id: Id336dc16f97a0973754993094aa637813c0ca31c
    Reviewed-on: https://code.wireshark.org/review/6604
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 403be72
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 17 20:34:35 2015 -0500

    Remove emem from GeoIP
    
    Change-Id: Ifa96dc38a277b86c28f762489251dcc595afae67
    Reviewed-on: https://code.wireshark.org/review/6603
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 86726f4
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 16 23:11:49 2015 -0500

    Trim down the use of ep_ memory in the display filter code.
    
    Couldn't quite eliminate it completely, but it's much improved.  Need to figure out where/when to free dfilter_error_msg.
    
    Change-Id: I10216e9546d38e83f69991ded8ec0b3fc8472035
    Reviewed-on: https://code.wireshark.org/review/6591
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0ad15f8
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 17 16:55:46 2015 -0500

    Replace the last of ep_alloc and ep_alloc0 with wmem equivalent.
    
    Change-Id: I0338d0acda5e4b9957aad4825ca2cfd6fa506ead
    Reviewed-on: https://code.wireshark.org/review/6596
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b5eb971
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 17 16:30:25 2015 -0500

    Replace all remaining instances of ep_new with wmem_new and wmem_packet_scope.
    
    Change-Id: I50b2cd0e233554bc58082e96e8d879b40edfc0c1
    Reviewed-on: https://code.wireshark.org/review/6595
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit be113e8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 12 20:04:32 2015 +0100

    DHCP/BOOTP: Option 125 Suboption: (1) option-len always expects 1 but specification allows for more
    
    We believe this is a bug in Wireshark with Option 125 Suboption: (1)  option-len where Wireshark always expects 1 but specification is more flexible.
    Re: http://www.cablelabs.com/wp-content/uploads/specdocs/CL-SP-CANN-DHCP-Reg-I10-1308081.pdf page 15 part 4.2.2 'The DHCPv4 Option Request Option'
    
    Issue reported by Steve Krebs
    
    Bug:10784
    Change-Id: I8eced7a70877d13d925b81c0f47885609baa7633
    Reviewed-on: https://code.wireshark.org/review/6510
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 506409d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jan 17 22:43:46 2015 +0100

    X509AF: dissect Certificate Serial Number as INT64 instead of INT32
    
    Bug: 10862
    Change-Id: Ie315298dd090b3b689f6a9bfff6f6f5bf7cc715a
    Reviewed-on: https://code.wireshark.org/review/6594
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 77dac91
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 16 23:18:46 2015 -0500

    A few more emem replacements with wmem.
    
    Change-Id: Icfb319fba937642db637a7f26b5e7627461df3b0
    Reviewed-on: https://code.wireshark.org/review/6590
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5c5b3f7
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 16 21:47:48 2015 -0500

    Convert proto_construct_match_selected_string to use wmem.
    
    Change-Id: I7a40c0996517aa71b4ddb764ce3a6e92a55260ad
    Reviewed-on: https://code.wireshark.org/review/6589
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6010d99
Author: Sebastian Kloeppel <sk@nakedape.net>
Date:   Thu Jan 15 11:19:41 2015 +0100

    Added Card Application Toolkit Transport Protocol (CATTP) dissector
    
    Bug: 10843
    Change-Id: I35350d98b4225be12875b16e67506f7385ea9f28
    Reviewed-on: https://code.wireshark.org/review/6111
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ffa8bdd
Author: Russel <russel@appliedinvention.com>
Date:   Fri Jan 16 14:27:10 2015 -0800

    Correct PF field offset when looking for DA
    
    Previous code was not shifting far enough, was checking PS instead
    of PF.
    
    Change-Id: Ic0bdbb4dfaa7bdd708a49f1fb67706dd949f2607
    Reviewed-on: https://code.wireshark.org/review/6578
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8ec6ac6
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jan 11 11:57:42 2015 +0100

    dissect CCRC, APRC and the APDU body's data
    
    Change-Id: I21f7420286ed3e668ce4dc0eac06bbf4172039d6
    Reviewed-on: https://code.wireshark.org/review/6588
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 21e40ea
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Jan 10 18:33:32 2015 +0100

    dissect the serial characters and the CRC
    
    Change-Id: I64af822f30b02d313f5242014ff5e40a73dffa35
    Reviewed-on: https://code.wireshark.org/review/6587
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit a38b714
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 17 14:55:22 2015 +0100

    RSYNC: Malformed Packet on rsync-version with length 2
    
    RSYNC dissector always think the resync-version length = 4
    
    Bug:10863
    Change-Id: I2dee3ff7195af110223903d79b938849666878a7
    Reviewed-on: https://code.wireshark.org/review/6584
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit aa1057d
Author: maisheri <maisheri.hitesh@gmail.com>
Date:   Sat Jan 17 14:05:38 2015 +0530

    EAPOL-MKA: Included fixes for the distributed sak handling.
    
    Change-Id: Id91ba408266f18a9336811bf9d8b875796ea0cc1
    Reviewed-on: https://code.wireshark.org/review/6582
    Reviewed-by: maisheri <maisheri.hitesh@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 62ea319
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 16 18:59:12 2015 -0800

    PacketLogger files can be big-endian or little-endian.
    
    Bug: 10861
    Change-Id: Iedb248aa4a96e65bb525ba6475dc767e5dfefbe0
    Reviewed-on: https://code.wireshark.org/review/6579
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3f284fb
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jan 15 22:41:13 2015 +0100

    USB: do not put usb_address_t structure on stack and initialize it completely (including implicit padding for alignment)
    
    Bug: 10857
    Change-Id: Ib8339a5dc1c9461e681e0015c3f851c642f300c9
    Reviewed-on: https://code.wireshark.org/review/6560
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 1e8c6ee
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jan 16 22:28:13 2015 +0100

    Update a comment
    
    Change-Id: I7bf1173bfb23e5f083b8aaf09476b30b4791aae0
    Reviewed-on: https://code.wireshark.org/review/6577
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit fa54781
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 16 11:26:20 2015 -0800

    Update comment to reflect the current reality.
    
    Change-Id: I7f8c66723efc9d21ec3abc08e57db1df5f772f04
    Reviewed-on: https://code.wireshark.org/review/6576
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 23666ba
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 16 10:40:26 2015 -0800

    Spaces separate bytes; they don't have to surround them.
    
    I.e., you don't need a trailing blank, at least not with the current
    version (and there shouldn't be a requirement for such an extra trailing
    blank).
    
    Change-Id: Ia2b732c74fc6020acc01a2c0c52ed3567d36d762
    Reviewed-on: https://code.wireshark.org/review/6575
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b6ec25f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jan 16 18:05:15 2015 +0100

    IS-IS: Add missing i variable for subclv loop (IS Reachability)
    
    Issue found by Alexander Okonnikov
    
    Change-Id: I4eacab63a685b84c0d75811b96dc452471244337
    Reviewed-on: https://code.wireshark.org/review/6573
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 22543d3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jan 16 18:03:03 2015 +0100

    IS-IS: wrong length for SubTLV 18 (TE default Metric)
    
    Issue found by Alexander Okonnikov
    
    Change-Id: I8c1da71183f5bba50bb0bb541c259d5dba0b067d
    Reviewed-on: https://code.wireshark.org/review/6572
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 3f57512
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jan 16 11:09:51 2015 -0500

    Kill more unused emem functions
    
    Change-Id: Ib81410b6d760886f2ae585f44ac58fc135da62c7
    Reviewed-on: https://code.wireshark.org/review/6568
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 4fa7396
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 15 12:45:02 2015 +0100

    CMakeList.txt/Makefile.am (root) : fix indent (use tabs)
    
    Makefile.am: avoid double space
    CMakeList.txt: Add modelines info
    
    Change-Id: Ic27d16b2f502362509ab13158e5428208afe3925
    Reviewed-on: https://code.wireshark.org/review/6570
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 16d367f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jan 16 17:09:51 2015 +0100

    ZBee ZCL: use tvb_get_guint8() (avoid tvb_get_ptr... !)
    
    Change-Id: I248ddb1dee5398528279807968b095cbc5413ae0
    Reviewed-on: https://code.wireshark.org/review/6569
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 531df02
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 16 08:15:41 2015 -0500

    Remove se_ alloced memory from packet_list_store
    
    Change-Id: I7aa2f5f8b433468ad2c2cd73cfce986d128a9ae0
    Reviewed-on: https://code.wireshark.org/review/6565
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0235775
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jan 16 14:59:54 2015 +0100

    GSM SIM: enhance dissection of APDU Class byte
    
    Change-Id: I2089ff665a92ce16a0af100e2515463c92c6d057
    Reviewed-on: https://code.wireshark.org/review/6567
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ada1eec
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jan 11 21:32:53 2015 -0500

    SE_COPY_ADDRESS -> WMEM_COPY_ADDRESS
    
    Copy addresses with wmem-scope instead of (forced) seasonal scope.  All existing instances were converted to wmem_file_scope, but the flexibility is there for other scopes.
    
    Change-Id: I8e58837b9ef574ec7dd87e278470d7063ae8c1c2
    Reviewed-on: https://code.wireshark.org/review/6564
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 260b19e
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 16 08:29:57 2015 -0500

    Remove seasonal memory from everything except address resolutions
    
    This includes circuits, conversations and streams as well as camel and h225 dissectors.
    
    Change-Id: Ia5ee70a5e5c6bcb420f0f19df126595246a3c042
    Reviewed-on: https://code.wireshark.org/review/6566
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b2c4586
Author: Chris Brandson <chris.brandson@gmail.com>
Date:   Thu Jan 15 19:20:08 2015 -0800

    bug 10833 undecoded bitmaps were being displayed raw which is hard to interpret, changed to an more friendly format
    
    Change-Id: If79a695646837cdfb3e1b168a47b96984c58e328
    Reviewed-on: https://code.wireshark.org/review/6563
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a4d1709
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Jan 15 21:46:52 2015 -0500

    (Trivial) Move a comment next to the code related to it.
    
    Change-Id: I83749a1b30059cc8e8f13b58fbde74e9ab873582
    Reviewed-on: https://code.wireshark.org/review/6562
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit d009b55
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 15 19:48:39 2015 +0100

    Quakeworld: Nesting level does not match indendation (CID 1159218)
    
    Change-Id: I6d18f103bda6db025eebfc902453256b007dddf7
    Reviewed-on: https://code.wireshark.org/review/6556
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3f8fbb7
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jan 11 21:18:22 2015 -0500

    Remove the last two true calls to se_alloc.
    
    (The other calls are just wrapped in macros)
    
    Change-Id: I6a029dddf7742ba95510ec24cec30553461e48c6
    Reviewed-on: https://code.wireshark.org/review/6558
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e530c89
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jan 11 19:48:54 2015 -0500

    Replace se alloced memory in compare stat tap.
    
    Also replaced comments mentioning se_alloc memory with wmem_file_scope, since it's more accurate.
    
    It seems that many of the TShark stat taps may be leaking memory, because the hash tables created by the taps don't get a chance to be freed.  Somewhat academic since TShark exits shortly after displaying any stats, but a leak none the less.
    
    Change-Id: I8ceecbd00d65b3442dc02d720b39c2e15aa0c8a6
    Reviewed-on: https://code.wireshark.org/review/6557
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7d43836
Author: Deon van der Westhuysen <deonvdw@gmail.com>
Date:   Tue Jan 6 10:22:48 2015 +0100

    QT: stats_tree plug-ins not added to statistics menu
    
    Wireshark Qt does not add plug-ins that register with stats_tree_register_plugin() to the statistics menu in the ui (like the gtk version does).
    
    This patch dynamically adds all registered stats_tree plug-ins to the statistics menu.
    
    Bug: 9528
    Change-Id: I99f9415502ca9f7121d494c856861edc1a762079
    Signed-off-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/6336
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d5ee022
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jan 15 15:09:47 2015 -0500

    Replace C++ style comment with C style.
    
    Change-Id: Ibee0dccdb5a330866dcd0047216cd5a4da45fc8b
    Reviewed-on: https://code.wireshark.org/review/6559
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c610c38
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 15 19:46:11 2015 +0100

    Conversation Table : Copy-paste error (CID 1262415)
    
    Change-Id: I37fd8154f93763ac091528921d1b66d8e8fd56dd
    Reviewed-on: https://code.wireshark.org/review/6555
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e75dd98
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 15 19:45:10 2015 +0100

    NetFlow: Assign instead of compare (CID 1262419 & 1262420)
    
    Change-Id: Idc2c2e02b973f65c6c2f22f2d1bfd8545cd23f63
    Reviewed-on: https://code.wireshark.org/review/6554
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 1562827
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 15 19:38:25 2015 +0100

    Packet List (Qt): Missing break in switch (CID 1262418)
    
    Change-Id: Id46f2be5b5206dfcb0ce7e7ea2d31398eff54917
    Reviewed-on: https://code.wireshark.org/review/6552
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3385984
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 15 19:43:11 2015 +0100

    Address to str: Missing break in switch (CID 1262416 & 1262417)
    
    It will also fix "Unused Value" (CID 1262422)
    
    Change-Id: I626c087365e9d6fe625f807ab8ded518d94cab64
    Reviewed-on: https://code.wireshark.org/review/6553
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit adf0881
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 15 19:26:52 2015 +0100

    HTTP: fix implicit conversion shortens 64-bit value into a 32-bit value
    
    It will be make Mac OS X buildbot happy
    
    Change-Id: I628445c1358675a58cc2d26ce1ca3007dd619ff3
    Reviewed-on: https://code.wireshark.org/review/6551
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 9c044e2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jan 15 14:25:24 2015 +0100

    ZigBee: packet scope memory cannot be used for BASE_CUSTOM callbacks
    
    Change-Id: I28fe21151b9f8c91786ca6c56d141a458419c501
    Reviewed-on: https://code.wireshark.org/review/6548
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 69d32a9
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Mon Jan 12 16:26:39 2015 +0100

    HTTP Dissector: Add CitrixAGBasic authentication
    
    Citrix uses a proprietary authentication schema called CitrixAGBasic for
    their StoreFront/Web Interface product.
    
    The Header looks like:
    Authorization: CitrixAGBasic username="dGVzdHVzZXI="; domain= \
           "dGVzdGRvbWFpbg=="; password="c2VjcmV0"; AGESessionId= \
           "YzI0NmRkMmFmYmE5ZTk5M2I5ZDRkN2UwYzYzZWExN2U="
    
    This patch enhances the HTTP dissector to decode this authentication data.
    
    Due to non-discolsure I can only provide a faked GET request as a pcap
    capture (attached to this bug).
    
    Bug: 10851
    Change-Id: Ic8e48db94809c9c64889cd050911de3fe23cdcdd
    Reviewed-on: https://code.wireshark.org/review/6526
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e0539ed
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jan 15 08:34:52 2015 -0800

    CMake: Rename the windeployqt variable.
    
    The windeployqt variable name ends up in the cache. Change it to
    QT_WINDEPLOYQT_EXECUTABLE, which follows conventions used in the Qt
    CMake modules.
    
    Change-Id: I14998b921009e44e5ca743e2915fe84447b22df0
    Reviewed-on: https://code.wireshark.org/review/6549
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 58bb07b
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Wed Jan 14 22:59:21 2015 +0000

    Fix-copy-qt-dll
    
    The copy-qt-dll custom command should ensure the qt bin dir is on
    the path.
    Modify the flags passed to windeployqt depending on the configuration.
    
    Change-Id: I12860d415f80cee323c72aa8a4892eaa6126f165
    Reviewed-on: https://code.wireshark.org/review/6537
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a1fce22
Author: Martin Kaiser <martin.kaiser@paytec.ch>
Date:   Thu Jan 15 16:18:23 2015 +0100

    remove the executable bits from packet-zvt.c
    
    (I should not use git on cygwin for adding new files)
    
    Change-Id: I314d78073f1ebd633a20ff7c9ac3d0b236b3906a
    Reviewed-on: https://code.wireshark.org/review/6547
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit ba7aa19
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Dec 24 12:42:16 2014 +0100

    start a dissector for ZVT Kassenschnittstelle
    
    this is a protocol between payment terminals and
    electronic cash-register systems / vending machines
    
    Change-Id: Ieac87c0af8e15f2dfe8b4a6274f3b56d652a5b1f
    Reviewed-on: https://code.wireshark.org/review/6531
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 1e1d96f
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Jan 15 16:01:40 2015 +0100

    Modify the errorcode defenition to suit ANSI MAP, this is (probably) OK as
    ANSI MAP is currently the only user of ANSI TCAP.
    Bug: 6112
    
    Change-Id: I49f89c862ddc8351091a9a939415e4ba6e7603f5
    Reviewed-on: https://code.wireshark.org/review/6546
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ef0435b
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jan 15 08:31:26 2015 -0500

    ZigBee: don't use packet_scope outside of dissection
    
    The decode_* functions defined here are called post-dissection for formatting
    labels, so don't have access to packet scope. Just use and free manual memory.
    
    Introduced in gbdfabe59.
    
    Bug: 10855
    Change-Id: I9b0085b1f7779ae6fbd12482c44d8f611cdbb49f
    Reviewed-on: https://code.wireshark.org/review/6545
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit c2350a5
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jan 15 05:42:06 2015 -0500

    rsvp: fix typo
    
    caught by test suite as:
    Duplicate field detected in call to proto_register_field_array:
    rsvp.call_attributes is already registered
    
    Change-Id: Ibf4ead3026b9930fb8f6ab07f0a5a4c299cedc35
    Reviewed-on: https://code.wireshark.org/review/6544
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 0d9248e
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Thu Jan 15 09:41:32 2015 +0000

    Netflow: Fix spelling of 'latitude'
    
    Change-Id: Iaae40f4a191e458645263c8d7a114392cd063707
    Reviewed-on: https://code.wireshark.org/review/6543
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit adaa661
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 7 21:32:47 2015 +0100

    Update to libnghttp2 0.7.1
    
    Change-Id: Ib8d40586a3b95674447819f77eaaa69376dce6fd
    Reviewed-on: https://code.wireshark.org/review/6411
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 5b92ab9
Author: Miltos Patsiouras <mipatsio@gmail.com>
Date:   Sat Nov 15 15:33:25 2014 +0200

    RSVP: Add support of GMPLS Support for Metro Ethernet Forum and G.8011 (RFC 6004)
    
       This document describes a method for controlling two specific types
       of Ethernet switching via Generalized Multi-Protocol Label Switching
       (GMPLS).  This document supports the types of switching corresponding
       to the Ethernet services that have been defined in the context of the
       Metro Ethernet Forum (MEF) and International Telecommunication Union
       (ITU) G.8011.  Specifically, switching in support of Ethernet private
       line and Ethernet virtual private line services are covered.  Support
       for MEF- and ITU-defined parameters is also cover
    
    Bug: 7841
    Change-Id: I12e12d01d497bd0e9703efcf6bd8ad100805bccc
    Change-Id: I180c095652604bc025ab81171dd8a042e0930f08
    Reviewed-on: https://code.wireshark.org/review/5323
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 06ddb7e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jan 13 11:45:15 2015 +0100

    CAPWAP: Add a IEE802.11 Message Element Type (RFC5416)
    
    * IEEE 802.11 Information Element (1029)
    
    Add add_tagged_field to packet-ieee80211.h (will be used by other dissector)
    
    Change-Id: Icd13be416ccc47fb2309b9962e9a47c339885d1e
    Reviewed-on: https://code.wireshark.org/review/6524
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit fcd2d4f
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Wed Jan 14 23:05:02 2015 +0000

    Fix cmake-cflags
    
    The flags that are deleted are already supplied by the CMake generator.
    
    Change-Id: Ifafc2343ac0c5d365a39f4a181b23f54c65bce74
    Reviewed-on: https://code.wireshark.org/review/6538
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit cb1f8a3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 12 18:14:00 2015 +0100

    CAPWAP: Add some IEE802.11 Message Element Type (RFC5416)
    
    * IEEE 802.11 OFDM Control (1033)
    * IEEE 802.11 Update WLAN (1044)
    
    Change-Id: I702de1d649b1dc2af1de83ee21152c6a18f42dfc
    Reviewed-on: https://code.wireshark.org/review/6509
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f6021e8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 12 17:13:28 2015 +0100

    CAPWAP: Add a new Message Element Type (RFC5415)
    
    * Delete Station (18)
    
    Change-Id: I33afa96d183b8ff22725d2e00dcfeccea3fdfa04
    Reviewed-on: https://code.wireshark.org/review/6508
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d9ec8ab
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jan 4 13:16:47 2015 +0100

    mate_util: fix parameter ... not found in the function declaration [-Wdocumentation]
    
    Change-Id: I66af53ee06866b45339814b5fa949551c0dd45c1
    Reviewed-on: https://code.wireshark.org/review/6535
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6f630c1
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Jan 14 21:04:32 2015 -0500

    Fix the compile: Use the new (double) variable.
    
    Change-Id: I38a9b0f55e9f19fe7f4f09f5eec2817dd822c6d0
    Reviewed-on: https://code.wireshark.org/review/6542
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit b63a942
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 14 16:55:40 2015 -0800

    Fix a crash in the GTK+ RTP Streams dialog.
    
    Make sure we copy guint, gdouble, and gchar * data to variables of the
    correct type. Fixes a crash when trying to copy CSV data (we were trying
    to stuff a gdouble into a char *).
    
    Change-Id: I3cbcc48216a078f85f13860d14707f309b9820d7
    Reviewed-on: https://code.wireshark.org/review/6541
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d443db0
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 14 16:41:38 2015 -0800

    Fix indentation.
    
    Change-Id: I089d18d6dde56c04d75f7c991511728a0a66f699
    Reviewed-on: https://code.wireshark.org/review/6540
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9a19d6d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 14 15:13:40 2015 -0800

    CMake: Look for FOP and HHC only when needed.
    
    FOP is only required for generating PDF output and HHC is only needed
    for CHM output. Don't look for them unconditionally.
    
    Change-Id: I7bec7d061c9e9e8b99431cab873e8c719469552c
    Reviewed-on: https://code.wireshark.org/review/6539
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 242f711
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 13 13:32:12 2015 -0800

    CMake: Update windeployqt discovery.
    
    Update the comments and add a URL. Use HINTS, which is more correct
    according to the documentation.
    
    Change-Id: I82a7e2790dfa0b398e2b534f9f45851f55bdc0d2
    Reviewed-on: https://code.wireshark.org/review/6536
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5b8fa72
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 13 13:32:12 2015 -0800

    CMake: Copy Qt DLLs to the target directory.
    
    Add a "copy_qt_dlls" target similar to "copy_cli_dlls". Wireshark.exe
    must exist before windeployqt can be run, so we can't create a PRE_BUILD
    target. Add copy_qt_dlls to the default target instead.
    
    Change-Id: If85d89478472b10b31229413465955fe98b0ef02
    Reviewed-on: https://code.wireshark.org/review/6529
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 86fde78
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 13 10:15:18 2015 -0800

    CMake: Copy wireshark-gtk dependent DLLs to the target directory.
    
    Add a "copy_gtk_dlls" target similar to "copy_cli_dlls".
    
    Change-Id: Id1df1d0ec00c46fccec90c4b8c0c8a2d2a14766a
    Reviewed-on: https://code.wireshark.org/review/6527
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 20e2c05
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Jan 14 13:47:08 2015 +0100

    [E212]Modify dissect_e212_mcc_mnc() to take E212 number type as an
    argument. While at it remove deprecated APIs
    
    Change-Id: Ib1a7e9d7aeba6379fb4492816a0ac602e67493c6
    Reviewed-on: https://code.wireshark.org/review/6534
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 36aca29
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Mon Jan 12 15:12:04 2015 +0000

    Minor Development Guide updates
    
    Corrected info about paths to built executable.
    Cross referenced empty debugger sections to the section with info.
    
    Change-Id: I4366825990f1a5286c7292c9f00e540160c1b5d0
    Reviewed-on: https://code.wireshark.org/review/6520
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 0ee179c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jan 13 23:18:37 2015 +0100

    HTTP: allocate header_name in packet scope instead of file scope
    
    While we are at it, factorize the copy of value string
    
    Change-Id: I2a16155641b8bd8623baf51f787a5f450e7b3803
    Reviewed-on: https://code.wireshark.org/review/6530
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 63a3d04
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 13 15:13:40 2015 -0800

    Consistently use the "g_string_free returns a C string pointer" idiom.
    
    g_string_free(str, FALSE) frees the GString container but not the
    underlying g_malloc()ed string; instead, it returns a pointer to the
    g_malloc()ed string.
    
    Fix those places that didn't already get the string pointer from
    g_string_free() to do so rather than manually extracting the string
    themselves.
    
    And fix one place that didn't even need to use a string - it was just
    scanning a C string without even modifying it.
    
    Change-Id: Ibbf4872bf5b9935b9907f539b6edb1013f3053a5
    Reviewed-on: https://code.wireshark.org/review/6532
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9f5e4fb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 13 13:00:59 2015 -0800

    uat_load() and uat_save() return a success indication; use it.
    
    Instead of always ignoring the return value, always check it, and only
    report an error if it returns FALSE.
    
    (Alternative: have it return NULL on success and a pointer to a
    g_malloc()ed string on failure.)
    
    Fix a comment while we're at it.
    
    Change-Id: Icb72c9f47775b6552e3eb4fe5ddcc85482bfb5fb
    Reviewed-on: https://code.wireshark.org/review/6528
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 25f010b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jan 13 14:26:34 2015 +0100

    MAC LTE: upgrade dissector to v12.4.0
    
    Change-Id: Ieb5395a6ae7a1d7625fe645d0caf14008993d3d9
    Reviewed-on: https://code.wireshark.org/review/6521
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit bc23f79
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 13 12:13:45 2015 -0800

    UAT error string pointers should not be const pointers.
    
    UAT error strings are usually allocated by g_strdup() or
    g_strdup_printf(), and must ultimately be freed by the caller.
    
    Make the pointer-to-error-string-pointer arguments to various functions
    be "char **", not "const char **".
    
    Fix cases that finds where a raw string was being used, as that won't
    work if you try to free it; g_strdup() it instead.
    
    Add a missing free of an error string.
    
    Remove some no-longer-necessary casts.
    
    Remove some unnecessary g_strdup()s (the string being handed to it was
    already g_malloc()ated).
    
    Change some variable declarations to match.
    
    Put in XXX comments for some cases where the error string is just freed,
    without being shown to the user.
    
    Change-Id: I40297746a2ef729c56763baeddbb0842386fa0d0
    Reviewed-on: https://code.wireshark.org/review/6525
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a988253
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 12 14:44:42 2015 -0800

    CMake: Copy libwireshark dependent DLLs to the target directory.
    
    Add a "copy_cli_dlls" target which copies the DLLs required to run our
    command line programs to the run directory.
    
    Fix the spelling of "KERBEROS". Start filling in variables so that we
    can populate config.nsh.
    
    Change-Id: I9b3ed912dfbffecbf09f2893efa2c9d82e709521
    Reviewed-on: https://code.wireshark.org/review/6513
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 42e4040
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Jan 13 15:12:45 2015 +0100

    [GPRS CDR]Fix faulty ASN1 modification
    Should be: egsnPDPRecord			[70] EGSNPDPRecordV750
    
    Change-Id: I4b03524c09b6ce603cf4783144d588c8839a16e6
    Reviewed-on: https://code.wireshark.org/review/6523
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit db7f25f
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Jan 13 14:04:44 2015 +0100

    [GPRS CDR] Handle Rel 7 CDRs
    
    Change-Id: I09833a326e486273c3eacaceba0963fe88e0dac6
    Reviewed-on: https://code.wireshark.org/review/6522
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f90eeb1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 12 20:35:44 2015 -0800

    When allocating address structures, use wmem_new0().
    
    For structures used as the data in an address, use wmem_new(), so that
    structure padding is zeroed out; the comparison code for addresses
    compares all bytes of the structure for addresses that are structures,
    and the hashing code for hash tables using addresses as keys hash all
    the bytes, so we have to make sure that, for addresses that are the
    same, *all* bytes are the same.
    
    Change-Id: I995fd26cc2f20edb5a599f95562b720561708e57
    Reviewed-on: https://code.wireshark.org/review/6517
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b204ff4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 12 20:07:09 2015 -0800

    Do bounds checking when decompressing WCP packets.
    
    Extract the data offset and count only once, and make sure we don't run
    past the end of the data we've copied from the packet; have
    decompressed_entry() just do the decompression, rather than also
    fetching the data offset and count.
    
    Add some comments while we're at it.
    
    Bug: 10844
    Change-Id: I2dc2f9594422ffa8f15fd5c57c9dac2e30e363f4
    Reviewed-on: https://code.wireshark.org/review/6514
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 63d8e44
Author: Jörg Mayer <jmayer@egg.fg-networking.de>
Date:   Tue Jan 13 02:35:37 2015 +0100

    Fix ASCIIDOC detection broken by commit ae2888aeb2b418c9f62
    
    Change-Id: I36cd42a9040e8f8ab2b11ff4211a1298663909a2
    Reviewed-on: https://code.wireshark.org/review/6512
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit de5e7b8
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Jan 12 11:24:37 2015 -0500

    Fix casting compiler warning
    
    Change-Id: I179706042168cb4fd1bfb5f9c573f302d9d62fa0
    Reviewed-on: https://code.wireshark.org/review/6506
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0b271aa
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jan 12 10:08:29 2015 -0500

    Remove ep_strbuf code
    
    Thanks to Michael's work, it is now totally unused.
    
    Change-Id: I67b5f7c69535a08f96f449c36c429e2548f4ea11
    Reviewed-on: https://code.wireshark.org/review/6505
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit f699f61
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Fri Jan 9 16:44:15 2015 -0500

    Error out if the user requests the SBC library but it's not found.
    
    Change-Id: I7c152420703d0d37c7b29d3c8f535b17180e020a
    Reviewed-on: https://code.wireshark.org/review/6455
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 7967ef9
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 9 19:50:09 2015 -0500

    Remove emem APIs from UAT functionality.
    
    Change-Id: I009c09f25d170e5c9aaaef713eaacb3252817856
    Reviewed-on: https://code.wireshark.org/review/6460
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 554a397
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Jan 12 13:58:49 2015 +0100

    [GPRS CDR] Add expert info for unknown record types.
    
    Change-Id: Ib485f435b6c423b06c7c31f2cf681d01261bfc15
    Reviewed-on: https://code.wireshark.org/review/6504
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d7bce33
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Mon Jan 12 11:26:59 2015 +0000

    Fix Cygwin path
    
    Fix the Cygwin path added for tests so that Cygwin comes after the
    existing path and that the correct link command is found for exntest.
    
    Same change to runa2x.sh to be consistent.
    
    Change-Id: I177a5e7d17a0077b0e8ca7d264d7e725a5312e24
    Reviewed-on: https://code.wireshark.org/review/6503
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Graham Bloice <graham.bloice@trihedral.com>

commit 0385d15
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sun Jan 11 20:37:03 2015 +0000

    Fix Cygwin path in runa2x.sh
    
    As I don't have Cygwin on the path, the uname -o call failed.
    The method used here seems to work reliably without needing Cygwin
    on the path.
    
    Change-Id: I206db542b5e89895a43c48626e2d14fff380fc8f
    Reviewed-on: https://code.wireshark.org/review/6497
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit a49e1d5
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Fri Jan 2 17:20:46 2015 +0000

    Make running the tests a little easier on Windows
    
    1.  Set the igncr option a little differently, this is the preferred
        way according to the latest Cygwin bash update announcement
        (See https://sourceware.org/ml/cygwin-announce/2014-10/msg00015.html, Sect 4a)
        The previous way didn't work for me.
    2.  Ensure /usr/bin is on the path if running under Cygwin.
        I really don't want Cygwin on my normal paths, the build process
        adds if required, so this change makes the test scripts do the same.
    
    Change-Id: I0f4da1fa87802bf0a4039bb5a91e577fae506d79
    Reviewed-on: https://code.wireshark.org/review/6243
    Tested-by: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 2619edd
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Jan 9 16:39:47 2015 +0100

    [E212] Make it possible to use different filters for MCC and MNC in LAI
    RAI and SAI.
    
    Change-Id: I2abcc868899b8752f66347b3a0fe190670c3ce3f
    Reviewed-on: https://code.wireshark.org/review/6447
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e974a6f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 10 16:13:31 2015 +0100

    msg_rng_rsp (Wimax): fix Copy-paste error (CID 11158604)
    
    Change-Id: I134d8178d741d741404963a89f60e1d1bfd9a2dd
    Reviewed-on: https://code.wireshark.org/review/6473
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 706c625
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Dec 19 11:09:28 2014 +0100

    ISIS: Add code and length for SubTLV Extended IS Reachability
    
    * remove some proto_tree_add_text call
    
    Change-Id: I18bc26cc95934e77b19d24edbb417af4c895d53e
    Reviewed-on: https://code.wireshark.org/review/6468
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ca17499
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Fri Jan 9 16:47:44 2015 -0500

    Add DJI UAV Drone Control Protocol to the list of new protocols.
    
    (This change also brings NEWS up to date with release-notes.asciidoc)
    
    Change-Id: Ie61c27901947210ddf95bbb1bb8c36e489bc0c8c
    Reviewed-on: https://code.wireshark.org/review/6456
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4a0ec75
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 11 13:18:39 2015 -0800

    Use the GTK+ 2 name for VoidSymbol.
    
    We can use the GTK+ 2 GDK_xxx names with GTK+ 2 or 3; apparently, some
    versions of GTK+ 2 don't support the GDK_KEY_xxx names.
    
    Change-Id: I52b14a7f2273f2af2b914c3646eb33d21673057e
    Reviewed-on: https://code.wireshark.org/review/6498
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 528a857
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sat Jan 10 21:29:57 2015 +0000

    Fix CMake generation and use of Windows .rc files
    
    CMake now generates local copies of .rc files for all the Windows
    components and uses the files in the build of the components.
    
    The .rc.in files that include an icon were modified to allow the icon
    path to be set by CMake.  The path is removed for nmake builds.
    
    Updated build architecture detection, required for wireshark.manifest.in
    
    Change-Id: I7b1ff43050e9b0efb861d1041636fb4aef49a4f8
    Reviewed-on: https://code.wireshark.org/review/6482
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 7d004dc
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 11 20:53:11 2015 +0100

    Revert "Lemon: Update lemon tools"
    
    This reverts commit 5855dd8d538eb81d4825961b1bf0d583bf96f751.
    
    This Lemon update fails to compile on OSX and triggers asserts on other platforms
    
    Change-Id: I12a8a2bf32db31e5a9b0cb1a67a39724e30f3e91
    Reviewed-on: https://code.wireshark.org/review/6496
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c8c9917
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 11 15:35:08 2015 +0100

    Fix some more regressions introduced in gecaa1f8
    
    Convert one other set of static variables to pinfo scoped memory while we are at it
    
    Change-Id: If550b76ef6a4dd2707d79de8579ac439d16dce79
    Reviewed-on: https://code.wireshark.org/review/6490
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5855dd8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Aug 27 22:20:12 2014 +0200

    Lemon: Update lemon tools
    
    Fix warning: declaration shadows a variable in the global scope [-Wshadow]
    
    Add include <config.h>
    
    Fix warning: unused parameter 'argc' [-Wunused-parameter] (using _U_)
    
    Fix implicit conversion loses integer precision
    
    Fix comparison of integers of different signs: 'size_t' (aka 'unsigned long') and 'int' [-Wsign-compare]
    
    Fix function declaration isn’t a prototype [-Wstrict-prototypes]
    
    Fix warning: old-style function definition [-Wold-style-definition]
    
    Fix trailing whitespace
    
    Fix use -T for template for epan\Makefile.nmake, epan\dfilter\Makefile.nmake, plugins\mate\Makefile.nmake, plugins\tpg\Makefile.nmake and cmake/modules/UseLemon.cmake
    
    Fix -Wmissing-prototypes
    
    Remove unused function (acttab_free)
    
    Add basename the filename with only filename (no path...)
    
    Change-Id: Ia79f61e29f828575df61cc89134c6c553044e86d
    Reviewed-on: https://code.wireshark.org/review/3976
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 74b20dc
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Dec 18 12:31:49 2014 +0100

    gtk: fix crash on Broadway GDK backend
    
    The Broadway GDK backend does never sets event->string. This results in
    a crash when filter_string_te_key_pressed_cb tries to read its contents.
    
    Since the documentation marks reading the string as deprecated, try to
    handle the character conversion here. It is based on
    _gdk_x11_event_translate_keyboard_string (from gtk+), but without trying
    to interpret Escape as '\033', and without trying to convert control
    characters (example: Ctrl + 1). A buffer of 6 bytes is used to hold a
    UTF-8 code point (there is no zero terminator, so 7 bytes as found in
    the original implementation is unnecessary).
    
    As g_locale_from_utf8 returns dynamically allocated memory, change the
    control flow to have a single exit point where pointers are freed as
    needed.
    
    Reproduce with gtk3:
    $ broadwayd :5
    $ GDK_BACKEND=broadway BROADWAY_DISPLAY=:5 wireshark-gtk
    (now open http://localhost:8085/ and start typing in the display filter)
    
    Keys tested: e € (AltGr + 5) ü (AltGr + ", u)
    In the X11 backend, these still get displayed correctly. In the broadway
    backend however, the accents are missing due to a bug in the broadway
    implementation.
    
    Change-Id: Ic1f0ee2b87cd573023ee8e966f06489b3b744dcf
    Reviewed-on: https://code.wireshark.org/review/5832
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit ae2888a
Author: Gerald Combs <gerald@zing.org>
Date:   Sat Jan 10 18:02:07 2015 -0800

    CMake: Try to fix Cygwin a2x discovery.
    
    Change-Id: I46ddd10ab533ff7114aa6a4241a9a261da19329c
    Reviewed-on: https://code.wireshark.org/review/6487
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9b9a06c
Author: Robert Grange <robionekenobi@bluewin.ch>
Date:   Sun Jan 11 12:57:06 2015 +0100

    packet-mq: Avoid using sort in dissector
    
    Avoid using sort for string_value_ext. The string value are now
    sorted at definition
    
    Change-Id: I08452b0423289d04e55ed7e3573e74bfcc329865
    Reviewed-on: https://code.wireshark.org/review/6488
    Reviewed-by: Robert Grange <robionekenobi@bluewin.ch>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 9d55a0b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 11 08:05:06 2015 -0800

    [Automatic manuf, services and enterprise-numbers update for 2015-01-11]
    
    Change-Id: I2f9625ebc812095bd4c7464981a96b38c4548694
    Reviewed-on: https://code.wireshark.org/review/6491
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f2bedeb
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jan 11 14:54:24 2015 +0100

    FDDI: fix a memory corruption introduced in gecaa1f8
    
    Bug: 10845
    Change-Id: I4d47711f397d9aaa965dff3e97478517f638a2e2
    Reviewed-on: https://code.wireshark.org/review/6489
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit aa9376e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jan 10 19:19:04 2015 +0100

    LTE RRC: upgrade dissector to v12.4.0
    
    Change-Id: I0bd6c124bd3aa0efe09db81135adc690751e08ae
    Reviewed-on: https://code.wireshark.org/review/6477
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d07364d
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 10 12:41:04 2015 -0500

    Restore #undef HAVE_STDLIB_H and #undef HAVE_STRING_H in kerberos dissector.
    
    These were removed when the kerberos dissector was switched to being a pure ASN.1 dissector (see dea68bf00f7c5872950814da81ba532a6372ccb3).
    
    Change-Id: I04177046250d039a750f4e4e4dd956d8beab23bc
    Reviewed-on: https://code.wireshark.org/review/6476
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f5c4d06
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 10 19:04:06 2015 -0500

    Replace some "low hanging fruit" uses of emem.
    
    Most of the remaining ep_ uses are grouped with specific functionality.
    
    Change-Id: I8fa64a17acc6bcdcf6891b2d28715ac0c58f1a4a
    Reviewed-on: https://code.wireshark.org/review/6484
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fdd6554
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jan 10 16:26:46 2015 -0800

    Rename the FT_BYTES separator types to SEP_ from BASE_.
    
    There's no requirement for "display" field values to have names
    beginning with BASE_; use SEP_, to indicate that they're separators.
    
    (And, yes, we should introduce SEP_NONE, with a value of 0, and use it.)
    
    While we're at it, fix BASE_SEMICOLON - the separator is a colon, not a
    semicolon - and document SEP_SPACE in doc/README.dissector.
    
    Change-Id: I856aafda2c60b8320dffe287f0deb06a9604a2bf
    Reviewed-on: https://code.wireshark.org/review/6486
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b4f5b6e
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sun Jan 11 00:05:42 2015 +0000

    Update CMake "Project names" and Folders
    
    This gives a more structured layout in Visual Studio
    
    Change-Id: I0da87a3e5ec759c69aeee031366cf287485cdac2
    Reviewed-on: https://code.wireshark.org/review/6485
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Graham Bloice <graham.bloice@trihedral.com>

commit b2f03cb
Author: Gerald Combs <gerald@zing.org>
Date:   Sat Jan 10 14:41:55 2015 -0800

    make-version.pl updates.
    
    Set the version variables in CMakeLists.txt directly from
    make-version.pl instead of pulling them from configure.ac.
    
    Use the correct default value for VERSION_EXTRA in config.nmake.
    
    wireshark-common.files was removed in g97e1491. We don't need to update
    it any more.
    
    Change-Id: I751b6df9ac16e19090712aa79a68e308397c1d25
    Reviewed-on: https://code.wireshark.org/review/6483
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2219f78
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sat Jan 10 19:48:05 2015 +0000

    Netflow: do transport resolution on ports (if know they are UDP or TCP)
    
    Change-Id: I8fc3675f03b7eaec6a9385638197067981762a70
    Reviewed-on: https://code.wireshark.org/review/6474
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 14cad60
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jan 10 14:20:06 2015 -0500

    Remove ep_ allocated memory from get_conversation_filter and just return a g_alloced string.
    
    Change-Id: Ie7f6b2c5479fec1a44afb5e446ef6abf304113af
    Reviewed-on: https://code.wireshark.org/review/6480
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 59c1e32
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 9 12:51:15 2015 -0500

    Add BASE_SPACE for FT_BYTES
    
    It's just like BASE_DOT, BASE_DASH and BASE_SEMICOLON, only its a space between bytes.  Since this seems pretty specific to FT_BYTES, perhaps there is a better was to represent the functionality (like FT_BOOLEAN uses numeric values for number of bits)?
    
    Change-Id: I1a8f1ab263ece2736a8012b66fdd6a9105db7282
    Reviewed-on: https://code.wireshark.org/review/6451
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit effc826
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jan 4 11:17:53 2015 -0500

    Add preference to display spaces between bytes for FT_BYTES fields.
    
    I think this can make fields more readable (for a small amount of bytes).
    
    Converted DeviceNet dissector to use proto_tree_add_item for some FT_BYTES field as tvb_bytes_to_str_punct was used to create this effect "manually".
    
    Change-Id: I59e2acf9b00a4eb1279e6c2b2b7bd8ecef20db9b
    Reviewed-on: https://code.wireshark.org/review/6304
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 02fb290
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jan 10 11:47:46 2015 -0800

    Sort the value_string_exts at dissector registration time.
    
    You *CANNOT* defer it until dissection time, otherwise "tshark -G
    values" will fail.
    
    Change-Id: I4edf9abda271baaf916f020a211b9add5543ecc7
    Reviewed-on: https://code.wireshark.org/review/6481
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 531a9f0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jan 10 11:39:43 2015 -0800

    Squelch a compiler warning.
    
    The clang I'm using warns about a non-constant format string in
    val_to_str_ext() calls; get rid of the unknown_format variable and,
    instead, make two different proto_item_append_text() calls with
    different format arguments in the val_to_str_ext()-call arguments.
    
    Change-Id: Id668efe666634798c278958bd7e6d790ec476539
    Reviewed-on: https://code.wireshark.org/review/6479
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 51acf16
Author: Robert Grange <robionekenobi@bluewin.ch>
Date:   Fri Jan 9 11:06:10 2015 +0100

    packet-mq: sort some value_string_ext in dissector
    
    Some value_string_ext are sorted only in the dissector,
    and only once.
    
    Adapted as said in comments.
    Added test for sort in dissect_mq_spx
    
    Change-Id: If72159fe96ab28a3ed540778d67996e152b4f110
    Reviewed-on: https://code.wireshark.org/review/6444
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit b760da9
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jan 10 10:16:37 2015 +0100

    MQ: ensure that at least 4 bytes were captured before doing heuristic checks
    
    Otherwise it could trigger an exception
    
    Change-Id: I280e3c5d9e5554e4be49035c03e0170ae4495e6e
    Reviewed-on: https://code.wireshark.org/review/6463
    Reviewed-by: Robert Grange <robionekenobi@bluewin.ch>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 7600ddb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 10 16:12:29 2015 +0100

    UTS: fix Copy-paste error (CID 11158603)
    
    Change-Id: Ibabb8ab3ccb0543856c84822542baa1ac0139f7e
    Reviewed-on: https://code.wireshark.org/review/6472
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 15ac6eb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 10 16:12:07 2015 +0100

    ISMACRYP: fix Copy-paste error (CID 11158602)
    
    Change-Id: I4978627115f46a8aa90ccf67f7c008cdf9986da6
    Reviewed-on: https://code.wireshark.org/review/6471
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e2fa5a5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 10 16:11:41 2015 +0100

    CTDB: fix Copy-paste error (CID 11158596)
    
    Change-Id: Ieaa70505f4b880569be6126166a71f32d84f79a8
    Reviewed-on: https://code.wireshark.org/review/6470
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6780519
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 10 16:11:15 2015 +0100

    NLM: fix Copy-paste error (CID 11158588)
    
    Change-Id: I0d2736f3e00c62bb908e346a641d0ddc8b171fd2
    Reviewed-on: https://code.wireshark.org/review/6469
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0f6b09d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 10 16:26:55 2015 +0100

    to_str (epan): fix parameter 'scope' not found in the function declaration [-Wdocumentation]
    
    Change-Id: Ie414d28415b71a79780d37fae454b90a7a610e1c
    Reviewed-on: https://code.wireshark.org/review/6475
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1a30c97
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Fri Dec 19 15:43:50 2014 +0100

    Bluetooth: A2DP: APT-X: Unhardcode stream configuration
    
    Change-Id: I16cfb4d014020a7fb2c67fef3128021c9901719a
    Reviewed-on: https://code.wireshark.org/review/6442
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit f343710
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Dec 29 09:45:40 2014 +0100

    Bluetooth: HCI: Detect Vendor by "Read Local Version Information"
    
    There is information about manufacturer of Bluetooth chip.
    Also try to detect if that "permament" info is not changed,
    if so informs user about this rare event (probably there is an issue)
    
    Change-Id: I1fa748a67ad7943e61d4445d240f0578b94560fc
    Reviewed-on: https://code.wireshark.org/review/6408
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 55df238
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Dec 29 08:53:15 2014 +0100

    Bluetooth: SMP: Add missing opcode for "Identity Address Information"
    
    Also fix tvb_length, tvb_length_remaining warnings.
    
    Bug: 10299
    
    Change-Id: Ib8b55ea9f2220394a5896d13e5cc4e2cefff1e13
    Reviewed-on: https://code.wireshark.org/review/6407
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit d6e0409
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Dec 23 14:57:45 2014 +0100

    Bluetooth: Add HCI Vendor Broadcom dissector
    
    Since those command/events are vendor specific and proprietary
    not all commands/events are implemented. All implemented commands can be
    found in Open Source implementations for Broadcom chip. If you found more,
    please let me know.
    
    Change-Id: Ie68d3737c88a8cef39260a9d93192cfc81871d6c
    Reviewed-on: https://code.wireshark.org/review/6406
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit c69b2ab
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sat Jan 3 16:26:53 2015 +0100

    Bluetooth: ATT: Dissect opcode with more precision
    
    Change-Id: Iddc1a6d899b10b0d5c25723a71da7dcd11c6dfad
    Reviewed-on: https://code.wireshark.org/review/6405
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 7177ced
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Dec 17 16:12:41 2014 +0100

    USB: Fix Conversation/Endpoint filters
    
    There were not fields for that, so simple add them.
    
    Change-Id: I489bae24ac96ea0baf395add731f4d62ccf19352
    Reviewed-on: https://code.wireshark.org/review/6401
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit c93d0ab
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jan 9 17:12:26 2015 +0100

    IS-IS: Incorrect decoding of IPv4 Interface/Neighbor Address sub-TLVs in Extended IS Reachability TLV
    
    Correct 4-byte IPv4 address is incorrectly detected as wrong 6-byte IPv4 address and cannot be decoded (IPv4 Interface Address (sub-TLV type 6) and IPv4 Neighbor Address (sub-TLV type 8) of Extended IS Reachability TLV (TLV type 22) of IS-IS.
    
    Wrong offset for some Sub-TLV
    
    Issue found by Alexander Okonnikov
    
    Bug: 10837
    Change-Id: I81d083722da72115e1905237352650d380e9d0ac
    Reviewed-on: https://code.wireshark.org/review/6453
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5fe1f66
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 9 23:04:47 2015 -0500

    Finish off emem_strbuf_t usage.
    
    Change-Id: Ib0b911c86a7f8a7cca022e9e324c910664ce397e
    Reviewed-on: https://code.wireshark.org/review/6461
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3a9869d
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jan 9 12:28:10 2015 -0500

    Remove/replace ep_strsplit()
    
    Change-Id: I4a803d83844d937804849b2ad3b067381c9b96d0
    Reviewed-on: https://code.wireshark.org/review/6448
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e54b5f0
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 9 10:39:17 2015 -0800

    CMake: Copy admonition graphics to the correct directory.
    
    Change-Id: Iecba4000c487a90efedfc7547771539c3748a7f0
    Reviewed-on: https://code.wireshark.org/review/6454
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8bd80e0
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 9 13:53:17 2015 -0800

    CMake: Set WIRESHARK_TARGET_PLATFORM.
    
    Set WIRESHARK_TARGET_PLATFORM near the top of CMakeLists.txt.  It's used
    by a couple of our modules and will be used for NSIS packaging.
    
    Change-Id: Ief43733bdf162998cd54ff3732f94c8baa3d1e11
    Reviewed-on: https://code.wireshark.org/review/6458
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a81f0d1
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 9 14:15:39 2015 -0800

    Fix airpdcap debugging code.
    
    Change-Id: Ied1094dd3c6ad176fea830c0857ba43e09d3cb10
    Reviewed-on: https://code.wireshark.org/review/6457
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2bb26ea
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 9 10:23:51 2015 -0800

    CMake: Copy CHM graphics from the correct source.
    
    Change-Id: Iea67bdaf8d83009c808bd39693fe273b3181ff76
    Reviewed-on: https://code.wireshark.org/review/6452
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f5de0c4
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Fri Jan 9 18:11:26 2015 +0000

    Netflow: Fix some duplicate label names
    
    Change-Id: I077bdd6394898a445c00a1e7aec1c4c11b3e9ec2
    Reviewed-on: https://code.wireshark.org/review/6450
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 4f65899
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jan 9 08:58:15 2015 -0800

    CMake: Migrate to hhc.cmake.
    
    Remove FindHHC.cmake in favor of CMake's FindHTMLHelp. Remove the
    hhc.cmd wrapper.
    
    Change-Id: I548e58d2264c74596e9067d5053b056c35089b3c
    Reviewed-on: https://code.wireshark.org/review/6449
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ffb6f10
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jan 8 17:16:09 2015 -0800

    CMake: Cygwin-ify the xmllint path as well.
    
    Change-Id: I5e62ed6baeed3fcb76cdffd30666ad01713acd2a
    Reviewed-on: https://code.wireshark.org/review/6439
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 1b4f965
Author: Dario Lombardo <lomato@gmail.com>
Date:   Fri Jan 2 15:28:20 2015 +0100

    Some typos fixed.
    
    Change-Id: I65df0c40d771c4854b73fd5c35d1af600f15f324
    Reviewed-on: https://code.wireshark.org/review/6445
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 872a239
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Fri Jan 9 10:16:06 2015 +0100

    Add missing #include ( "ui/gtk/old-gtk-compat.h" )
    
    Change-Id: Ic53c3cd4a38c587ab3c0dcb9f8349ca50e338f80
    Reviewed-on: https://code.wireshark.org/review/6443
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 284229c
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jan 8 13:16:01 2015 -0500

    Convert EUI64 address APIs to use wmem.
    
    Change-Id: I57d2e435ac72ea07ec9a567e0b1ce4410966e3d2
    Reviewed-on: https://code.wireshark.org/review/6419
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 17f1a44
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Fri Dec 19 15:41:57 2014 +0100

    Bluetooth: AVDTP: Fix other-side Reconfigure
    
    It is used to properly configure internal SEP data using to
    properly decode music stream.
    
    Change-Id: If8a15267ce072eaedfac947d7558be2d3e796483
    Reviewed-on: https://code.wireshark.org/review/6404
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 5be440f
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Dec 18 10:42:01 2014 +0100

    Bluetooth: AVDTP/VDP: Add link to first and last packet in the stream
    
    Useful for analyzing stream issues.
    
    Change-Id: I1c9f43807dc3abc050cf17c971fbd270b812faa5
    Reviewed-on: https://code.wireshark.org/review/6402
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 879a221
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Dec 18 15:19:50 2014 +0100

    Bluetooth: BTLE RF: Remove tree and reduce indentation level
    
    Useless check for tree avoid setting Bluetooth addresses.
    
    Change-Id: If38465679370c5ea74f6d916e409e337d60cf7db
    Reviewed-on: https://code.wireshark.org/review/6403
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 6a6e2ef
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jan 8 12:13:18 2015 -0500

    Have ipxnet addresses use wmem scoped memory.
    
    Change-Id: I1d8eed2ceacccce2768590f0689cd2c83a5e56e9
    Reviewed-on: https://code.wireshark.org/review/6418
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 456095c
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jan 8 11:54:36 2015 -0500

    disperse atalk-utils.[ch]
    
    The functionality was suiting for address_to_str.c and the #defines belong in packet-atalk.h.  Kept the address structure with the "address string conversion", but that can probably be better cleaned up when the address to str as a whole is cleaned up.
    
    Would also consider making AT_ATALK an FT_ type as well.
    
    Change-Id: Ia534096c707e6fb94acdfee0d332beda6571c371
    Reviewed-on: https://code.wireshark.org/review/6417
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d296c75
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jan 8 13:59:33 2015 -0500

    Some more random removal of ep_ memory.
    
    Change-Id: I6eccd20280e907bd9e6a5fcf873ccf80afddecac
    Reviewed-on: https://code.wireshark.org/review/6416
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 45cbdbc
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Jan 8 10:01:56 2015 +0100

    Add missing #include ( "ui/gtk/old-gtk-compat.h" )
    
    Change-Id: I03ddea2fc7db52df1ff3571e196250bc5e3ff036
    Reviewed-on: https://code.wireshark.org/review/6410
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fb40fd3
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Fri Jan 9 02:34:21 2015 +0100

    Add a possible replacement for the cmd hack to work around hhc.exe
    returning non-null on success.
    To be invoked via "cmake -P hhc.cmake <single-arg>".
    
    Change-Id: Ib2584379c512cbd7f437f36ef932b372fe02203a
    Reviewed-on: https://code.wireshark.org/review/6440
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 4bc8d0f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jan 8 16:55:26 2015 -0800

    CMake: Try to fix the xsltproc path.
    
    Try to make the xsltproc path compatible with Cygwin. This is a blind
    attempt to fix the Windows 8 buildbot. It works fine locally.
    
    Change-Id: Ib9d55dd07c6b17cfddf313716227d347109d2103
    Reviewed-on: https://code.wireshark.org/review/6438
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 67b1593
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jan 8 16:16:56 2015 -0500

    Remove proto_tree_add_ax25
    
    There isn't a legitimate use for the API, all cases can be covered with proto_tree_add_item.  As a bonus, a few more tvb_get_ptr calls can be removed.
    
    Change-Id: I3bb86ba8f05ef3363407bcfe9b059ee27ebc135d
    Reviewed-on: https://code.wireshark.org/review/6429
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ecaa1f8
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jan 8 17:07:25 2015 -0500

    convert variables that were static just because of SET_ADDRESS macro to use the proper pinfo->pool instead.
    
    Change-Id: I914918d9629f654ead497dddac0f412b690e4409
    Reviewed-on: https://code.wireshark.org/review/6430
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a2abf8b
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Fri Jan 9 02:04:49 2015 +0100

    Fix CMake Warning "Argument not separated from preceding token by whitespace."
    
    Change-Id: I1ecd3bd0081c2f69d4e4f21f84cb46d086b657a2
    Reviewed-on: https://code.wireshark.org/review/6437
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit ab717f2
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Fri Jan 9 01:58:52 2015 +0100

    Use the FindHTMLHelp.cmake provided by cmake to find the hhc.
    Lower case some function/macro calls.
    
    Change-Id: I57532e3b4701963b88a536a7ecfe7dfaf4be3d4c
    Reviewed-on: https://code.wireshark.org/review/6436
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 03f273a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jan 8 15:39:27 2015 -0800

    HTML Help: Fix titles.
    
    AsciiDoc converts single quotes into curly quote entities, which HTML
    Help doesn't support. Use sed to fixup the title string.
    
    We might want to drop HTML Help at some point.
    
    Change-Id: I0c7d3be90c0de7dbac0f1367cc6ba323c7380939
    Reviewed-on: https://code.wireshark.org/review/6435
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 315cc72
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jan 8 16:27:34 2015 -0800

    CMake: Revert the release notes xsltproc command.
    
    Should fix the release_notes_txt target.
    
    Change-Id: Ie930c49ad34ad70070b8f7d28d79bee55f263c40
    Reviewed-on: https://code.wireshark.org/review/6434
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 1baf9bb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 8 15:50:15 2015 -0800

    Use G_GINT64_CONSTANT() for 64-bit constants.
    
    Change-Id: I2b4f24c0e68f8d1edb53981b2ada7db6cd0eff72
    Reviewed-on: https://code.wireshark.org/review/6433
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cd7408e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 6 16:59:32 2015 -0800

    CMake: Enable DocBook on Windows.
    
    Add a wrapper script and CMake macros which lets us run Cygwin's a2x
    from Windows. Add *another* wrapper script that ignores the return value
    of hhc.exe.
    
    Move the ASCIIDOC2DOCBOOK macro to FindASCIIDOC.cmake. Add FindHHC.cmake.
    Add hints to FindFOP.cmake.
    
    Use unique file names in the HTML Help chain in an attempt to avoid a
    race condition.
    
    To do:
    - Fix curly quote in HHC title.
    
    Change-Id: I9b154b7fbd02703656e2ab380199ec0a6db4e36d
    Reviewed-on: https://code.wireshark.org/review/6379
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 4b8c668
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jan 8 13:25:54 2015 -0800

    To register an SCTP port, register in "sctp.port", not "udp.port".
    
    Change-Id: I8f013b2895e42919ea0d97cdc35414ea3f5aec9b
    Reviewed-on: https://code.wireshark.org/review/6422
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d8773b1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jan 8 21:08:13 2015 +0100

    MQ: fix crash at startup
    
    the array given to qsort algorithm must be alterable
    
    Change-Id: I811cade161b7635e9bc9e070c1ec37d2cce50d1f
    Reviewed-on: https://code.wireshark.org/review/6420
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c94192d
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Thu Jan 8 16:08:06 2015 +0000

    Netflow: add (hidden) root filters for each vendor with supported 'pie' entries
    
    Change-Id: I2bdca4c092c247ab253d6ceb3770ac7ea935cdad
    Reviewed-on: https://code.wireshark.org/review/6414
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 8bfd306
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Dec 31 10:53:25 2014 +0100

    Bluetooth: Update to latest Assigned Numbers (up to 4.2)
    
    Also start decoding next two profile attribute groups in SDP
    (MPS and CTN) and add new two fields in EIR/AD.
    
    Change-Id: I4dc13df2b3b13e8c2a2a5c4af2cabae9ee83d539
    Reviewed-on: https://code.wireshark.org/review/6409
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 90453a4
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jan 8 10:42:51 2015 -0500

    mka: Minor cleanup
    
      Remove unneeded/unused code;
      Remove 'dead initializers';
      tvb_captured_length() ==> tvb_reported_length();
      Reformat a few long lines.
    
    Change-Id: I4a09bf330e939613ea8a47e69d4fc7b21dd496e8
    Reviewed-on: https://code.wireshark.org/review/6413
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit e123878
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jan 8 10:40:25 2015 -0500

    zbee-zcl-misc: Minor changes
    
      tvb_captured_length() --> tvb_reported_length();
      whitespace changes.
    
    Change-Id: Id9c302d84f28ec23e554445777c7685c8d09918c
    Reviewed-on: https://code.wireshark.org/review/6412
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit e63e771
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Dec 30 09:11:03 2014 +0100

    Bluetooth: AVDTP: Present bitfields for codec ad true/false
    
    Previously they are present as hex value.
    
    Change-Id: Ia30ba4da02e6bd4b0d68987506245e0534feadb6
    Reviewed-on: https://code.wireshark.org/review/6400
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2d448f0
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jan 2 22:19:53 2015 -0500

    Eliminate proto_tree_add_text from some dissectors.
    
    Change-Id: Ief4c377d56748e1a8ed0ef7fe5ba03b9be00cd8d
    Reviewed-on: https://code.wireshark.org/review/6267
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2021845
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Dec 30 11:18:35 2014 +0100

    autotools: Add possibility to build without optional codec SBC
    
    SBC is optional but build any time if configure script detect it,
    so let user choose if it really want it. Default to build with SBC.
    
    Bug: 10794
    
    Change-Id: I1b936c628c9de0179aa3d5da5ac547bd910af8ba
    Reviewed-on: https://code.wireshark.org/review/6399
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 0078211
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Jan 8 11:16:27 2015 +0100

    Add quotation marks in Conversations/Endpoints when address is string
    
    Change-Id: I39d49542cd563db1f6d3423b4e382a9a5e1c801b
    Reviewed-on: https://code.wireshark.org/review/6398
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit ec8ca91
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 8 11:36:35 2015 +0100

    BTSDP: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I48ddaa9ffe8f81094d63dd886dd15bb63888cbd7
    Reviewed-on: https://code.wireshark.org/review/6396
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a3e934f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jan 8 11:36:21 2015 +0100

    BATADV: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I3c33511389aa2f4b3eed73f1c712561b20e18bf7
    Reviewed-on: https://code.wireshark.org/review/6395
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit bd1cd01
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Jan 8 12:22:18 2015 +0100

    GTK/RTP Player: Fix crash when touch RTP Stream
    
    Move converts of addresses when they are really valid.
    
    Change-Id: Ie0c77e8e23bd97ba55d68dad7da7015b9d355b0d
    Reviewed-on: https://code.wireshark.org/review/6397
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Orynicz <michal.orynicz@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit b6cf61b
Author: Dario Lombardo <lomato@gmail.com>
Date:   Thu Jan 8 09:51:05 2015 +0100

    Small parenthesis fix
    
    Change-Id: I6bab238a37f7309daece7a7bfc062da41819d9ff
    Reviewed-on: https://code.wireshark.org/review/6394
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 513ed24
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jan 5 18:07:56 2015 -0500

    ieee80211: initialize bssid for data frames
    
    Hypothentical fix for
    https://bugs.launchpad.net/ubuntu/+source/wireshark/+bug/1407662 which I haven't
    actually tried.
    
    Change-Id: Ib6d30873be7676eef756731a56a1d21a41c2c16c
    Reviewed-on: https://code.wireshark.org/review/6330
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a323f0c
Author: Robert Grange <robionekenobi@bluewin.ch>
Date:   Sat Dec 27 17:46:33 2014 +0100

    packet-mq: Add New Def, Reformat Lines, re-order val_str def
    
    Add missing definition, add new definition, Reformat some lines
    Re-order the value_string used with ext_value_string definition
    so they are in asc ASCII order as the ext_value_string is now
    sorted before first use
    
    renamed own tvb_get... funct to new tvb_get_guintxx funct
    and deleted own tvb_get... funct
    use ptvcursor_ funct instead of own macro to increment offset
    removed <epan/tvbuff.h> in *.c files
    correct [-Wunused-const-variable]
    
    Change-Id: Iaee26289e098cde0e5787ca1c98de64b6b733fa2
    Reviewed-on: https://code.wireshark.org/review/6079
    Reviewed-by: Robert Grange <robionekenobi@bluewin.ch>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 37e64d8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 7 18:18:46 2015 +0100

    Unistim: Nesting level does not match indendation (CID 1159216)
    
    Change-Id: I024f47a41328ea7e8db3c79012b892f3cb48caad
    Reviewed-on: https://code.wireshark.org/review/6376
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dcc4936
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Jan 6 23:04:55 2015 +0100

    use the http server port as index for the ws.port dissector table
    
    pinfo->match_uint is not set if websocket is called because of a
    previous http Upgrade: header and http is running on a non-standard port
    
    Bug: 10805
    Change-Id: Ib0d35d29fe947cfb7b21107e734c64debbb91048
    Reviewed-on: https://code.wireshark.org/review/6353
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Martin Kaiser <wireshark@kaiser.cx>

commit 866d2f8
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 7 18:09:55 2015 +0100

    PPCAP: Nesting level does not match indendation (CID 1259218)
    
    Change-Id: I3d3a4243913f7f0267342693868ec1f2981534e3
    Reviewed-on: https://code.wireshark.org/review/6374
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 20414eb
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jan 7 20:25:29 2015 -0500

    Replace some ep_alloc and ep_alloc0 with its wmem equivalent.
    
    These cases were pretty easy to identify.  Also replaced some comments that referenced ep_alloced memory, when it's now in fact wmem_alloced.
    
    Change-Id: I07d2f390a9c0b34aa2956880476755d1acf5db0a
    Reviewed-on: https://code.wireshark.org/review/6392
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit cff098e
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jan 7 19:24:52 2015 -0500

    guid_to_ep_str -> guid_to_str
    
    guid_to_str now uses wmem allocation.
    
    Change-Id: I8e48d1a720942fbefbaa6227ae0929cb9f856359
    Reviewed-on: https://code.wireshark.org/review/6391
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5d610b5
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jan 7 18:24:17 2015 -0500

    Remove decode_numeric_bitfield.
    
    It was only used by 1 dissector and that dissector can just use bitmasking in the hf_ field.
    
    Change-Id: I99179356dd7cbfab0c7be1512357a7e4c0eecde6
    Reviewed-on: https://code.wireshark.org/review/6390
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4a5ca5c
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jan 7 18:13:23 2015 -0500

    bytes_to_ep_str -> bytes_to_str
    
    Change-Id: Ifcda8328dedec0ef4104c3a124d6246f99493750
    Reviewed-on: https://code.wireshark.org/review/6389
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2209678
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jan 7 16:24:17 2015 -0500

    ep_<protocol>_port_to_display -> <protocol>_port_to_display
    
    Adjust any other ep_ related APIs related to the transition.
    
    Change-Id: I961b371c2c4bda557e0f1817705c27eef0dae66c
    Reviewed-on: https://code.wireshark.org/review/6388
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 907d145
Author: David Ameiss <netshark@ameissnet.com>
Date:   Wed Dec 10 14:21:19 2014 -0600

    Various minor updates to the LBM dissectors.
    
    Change-Id: I36954ea0d8b525b4d7a1b3407f9e9d0e1c9bbd67
    Reviewed-on: https://code.wireshark.org/review/6378
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d245f38
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jan 7 20:50:45 2015 -0500

    packet-irda.c: Add editor modelines
    
    Change-Id: I626b60a185e750af94306892cd41dc8729920cfd
    Reviewed-on: https://code.wireshark.org/review/6393
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 6edb27b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 7 16:50:23 2015 -0800

    FT_DOUBLEs are 8 bytes; use FT_FLOAT for 4-byte floating-point values.
    
    Change-Id: Ia39f8604229df18e1cdbbf81b78cd423e70f0f3c
    Reviewed-on: https://code.wireshark.org/review/6386
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8f1b82b
Author: Luke Mewburn <luke@mewburn.net>
Date:   Mon Dec 22 23:35:55 2014 +1100

    Set the (GT) address even if the message is routed by SSN.
    
    If sccp.set_addresses is enabled, always SET_ADDRESS to the GT
    if the GT is present, not just if ROUTE_ON_GT.  This fixes TCAP
    session handling in some situations.
    
    Change-Id: Ic088a4de408303a34c17c42820602ed6bf113840
    Reviewed-on: https://code.wireshark.org/review/6053
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 5e8c053
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 7 11:43:15 2015 -0800

    Squelch a compiler warning.
    
    No need for buflen to be bigger than len, which it will be on LP64 and
    LLP64 platforms if it's size_t and len is guint32.
    
    Change-Id: Iffd2940187180cde1ad55ff7d3bd7c45acf22eba
    Reviewed-on: https://code.wireshark.org/review/6380
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ccce7ab
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 7 18:13:51 2015 +0100

    capture file dlg (GTK): Nesting level does not match indendation (CID 1159217)
    
    Change-Id: I9ae1862993a3a9d10bd7575295b08c91752cb77f
    Reviewed-on: https://code.wireshark.org/review/6375
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d3f67c1
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 7 18:19:58 2015 +0100

    S5066DTS: Nesting level does not match indendation (CID 1159211 & 1159212)
    
    Change-Id: I8145696de995e821793e7bc1576d5a5673c7b503
    Reviewed-on: https://code.wireshark.org/review/6377
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a6ba632
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 7 18:07:25 2015 +0100

    BTLE: Nesting level does not match indendation (CID 1261651)
    
    Change-Id: I11e436ca91c766edc8e85fd2402e61a17465bee2
    Reviewed-on: https://code.wireshark.org/review/6373
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 64a7bac
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jan 7 10:11:22 2015 -0500

    tvb_bytes_to_ep_str -> tvb_bytes_to_str
    
    Change-Id: I79c613cbdd8dc939dd4c29ebc477fb6eefd5bfc4
    Reviewed-on: https://code.wireshark.org/review/6371
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 98d3b14
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jan 7 09:36:06 2015 -0500

    Replace bytes_to_ep_str_punct with wmem equivalent.
    
    Change-Id: I8aa7d7374db94685fd875cbf358c3bfbc83f3255
    Reviewed-on: https://code.wireshark.org/review/6370
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9cfe67f
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jan 7 08:29:35 2015 -0500

    tvb_bytes_to_ep_str_punct -> tvb_bytes_to_str_punct
    
    Also change bytestring_to_str to match bytes_to_ep_str_punct functionality (limiting byte string size)
    
    Change-Id: Idb958c7f0c203d103629469302b81fa922714f7e
    Reviewed-on: https://code.wireshark.org/review/6369
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 493f03b
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jan 7 00:19:55 2015 -0500

    Remove bytestring_to_ep_str
    
    Use wmem equivalent bytestring_to_str
    
    Change-Id: I1ec7509e3adb36ab0f65317459653cb3b4b11af8
    Reviewed-on: https://code.wireshark.org/review/6368
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2139110
Author: Dario Lombardo <lomato@gmail.com>
Date:   Fri Dec 12 11:12:24 2014 +0100

    Updates in it translation.
    
    Change-Id: I3a7b71daa6e4e69ef9cc6dcb777851a8643d6684
    Reviewed-on: https://code.wireshark.org/review/6367
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 667897c
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Jan 7 17:34:33 2015 +0100

    [MIP6] Update to handling of
    Mobility Header Link-Layer Address (MH-LLA) Option
    to RFC 5268 e.g no special handling of length.
    Bug:10043
    
    Change-Id: Id32789fa5e34766c5734b0be13af015473ac257c
    Reviewed-on: https://code.wireshark.org/review/6372
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a479d9a
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Jan 7 09:22:30 2015 -0500

    simplify tvb_address_to_str
    
    deduplicate most of the tvb_get_ptr calls
    
    Change-Id: Ic95b1d545bfebf58fc64a81f816c47d63e5ddcd0
    Reviewed-on: https://code.wireshark.org/review/6366
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 734e408
Author: Orgad Shaneh <orgads@gmail.com>
Date:   Wed Jan 7 10:25:35 2015 +0200

    MSVC: Fix opting out of libraries
    
    When *_DIR variables are defined (even if empty), nmake tries
    to build them and fails.
    
    Don't set them at all if not configured to.
    
    Change-Id: I3825c16f26e45a1a3fc489633084a074838f8c34
    Reviewed-on: https://code.wireshark.org/review/6365
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit ed9a9be
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jan 6 14:52:54 2015 -0500

    Use tvb_address_to_str as an optimization
    
    Change-Id: Ic79d8bdc58b84087531b298b3b27273c1afccd4f
    Reviewed-on: https://code.wireshark.org/review/6357
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4088a82
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jan 6 14:54:03 2015 -0500

    SET_ADDRESS -> TVB_SET_ADDRESS to "hide" some of the tvb_get_ptr use.
    
    Not all changes were able to remove their corresponding tvb_get_ptr, because there are other API dependent on the (tvb_get)pointer, but future iterations optimizing those other APIs will then be able to remove it.
    
    Change-Id: Id7cefd440b81834de1d1aace7cd0789b1c871a22
    Reviewed-on: https://code.wireshark.org/review/6358
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6252074
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jan 6 21:28:56 2015 +0100

    DJIUAV: small cleanups
    
    - fix some typos
    - remove a useless include
    - change an obsolete API
    - comment unused hf entries for now
    
    Change-Id: I5939bc2fe9ddc6c422f35423aa22e884f20f088d
    Reviewed-on: https://code.wireshark.org/review/6349
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 50a9863
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jan 7 02:17:14 2015 -0800

    Don't run checkapi on .rc files.
    
    Change-Id: I75879bfcd0d9706523447146b16c319d3eb56d23
    Reviewed-on: https://code.wireshark.org/review/6361
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9696eb6
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Dec 30 14:31:04 2014 +0100

    SMB: the "encryption key" in the negotiate response is not really a key
    but the data for the Challenge/Response authentication
    
    (at least, that's my understanding of
     http://msdn.microsoft.com/en-us/library/ee441946.aspx)
    
    rename the items and filter strings accordingly
    
    Bug: 10777
    Change-Id: I38378f0b31252d7bc8ec5e8ad7cee81a1a48cb4d
    Reviewed-on: https://code.wireshark.org/review/6137
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a76559e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 6 20:53:54 2015 -0800

    Cast away an insignificant warning.
    
    Change-Id: Ifd74719ced4d1ff99a2a913ad6a6797d3e80b311
    Reviewed-on: https://code.wireshark.org/review/6359
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3bb887f
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jan 6 23:27:36 2015 -0500

    Fix compiler error because I didn't completely amend last patch.
    
    Change-Id: I7b8ffc4a63e69b5f50666dc1cf3482ae20124c0f
    Reviewed-on: https://code.wireshark.org/review/6356
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 47d670d
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Jan 5 19:26:28 2015 -0500

    Add tvb_address_to_str.
    
    This is intended to handle ALL address types retrieved from a tvbuff.
    
    One of the (good) side effects of this function is that it can replace a lot of the "hidden" ep_alloc calls used to allocate memory for the address string.
    
    A few existing "popular" helper tvb_ functions were turned into pure macros calling tvb_address_to_str.  Some of the "less used" helper tvb_ functions were just directly replaced with tvb_address_to_str.
    
    Change-Id: I361d991c4ad90142173e63eae02a94d68af3ec43
    Reviewed-on: https://code.wireshark.org/review/6333
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0f426d6
Author: Joseph Huffman <jhuffman@codeaurora.org>
Date:   Mon Jan 5 09:53:53 2015 -0800

    Improved handling of ARDP fragmented packets.
    
    With the AllJoyn Reliable Datagram Protocol large packets are fragmented in
    a way that Wireshark doesn't desegment. The AllJoyn dissector now detects
    this situation and reports things to the user in a manner which indicates
    things are behaving normally rather than an error condition.
    
    Change-Id: I1f2aa722b6e0d1ed3572ff332b4dd8c0e5c5a765
    Signed-off-by: Joseph Huffman <jhuffman@codeaurora.org>
    Reviewed-on: https://code.wireshark.org/review/6344
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 85e69d4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 6 15:44:19 2015 -0800

    Fix GCC pragma.
    
    Fix "error: #pragma GCC diagnostic not allowed inside functions".
    
    Change-Id: Iaa7e39ac46975f00bc337b97875ba8b77295064a
    Reviewed-on: https://code.wireshark.org/review/6355
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e3eab83
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 6 15:08:51 2015 -0800

    checkAPIs: C++ comments are allowed in Windows resource files.
    
    Change-Id: I3885278bf293b1fd7db812ce265734bcdc904c6f
    Reviewed-on: https://code.wireshark.org/review/6354
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6e03daf
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 6 11:52:53 2015 -0800

    Try to suppress clang warnings in exntest.
    
    Nested TRYs result in:
    
        warning: declaration shadows a local variable
    
    Change-Id: Ifaa7baebde0ea4c18be5a53ab7e7964e84716496
    Reviewed-on: https://code.wireshark.org/review/6347
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 119f564
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jan 6 21:59:04 2015 +0100

    MBIM: call dissector_(add|delete)_uint only when necessary
    
    Change-Id: I12bbe9e1d81560f1874d4e575b19db1842fa0c72
    Reviewed-on: https://code.wireshark.org/review/6352
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a6e6dee
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 6 12:19:04 2015 -0800

    NSIS: Quote all paths in config.nsh.
    
    Fix the MAKEDIR substitution. Add config.nsh to .gitignore.
    
    Change-Id: I9c5f6469569e826e4a8036b9b1b483c16558f788
    Reviewed-on: https://code.wireshark.org/review/6351
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f39366b
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Tue Jan 6 11:18:24 2015 +0000

    NetFlow: Add Ixia 'IxFlow' fields and make some general usability improvements
    
    
    - Sequence number analysis using flow sequence within an observation domain.
    - Link back from data set to template frame, if have seen
    - Show more information (observation domain ID, set ID, etc) in Info column and protocol roots
    - Look up protocol field from ip_proto
    
    Change-Id: I3147387a3cd0d1fc33b879b3ba226753ed2cd8dd
    Reviewed-on: https://code.wireshark.org/review/6331
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 29207bf
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jan 6 12:08:41 2015 -0800

    $(MSVCR_DLL) might contain spaces, so we need to quote that sed expression.
    
    Change-Id: Ia3aca07a5aa8adcc99d17fa559662d79659f46ca
    Reviewed-on: https://code.wireshark.org/review/6348
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ea46a44
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jan 5 12:53:46 2015 -0800

    NSIS: Move definitions to their own file.
    
    Convert the pile-o-makensis-flags to a pile-o-sed-commands which creates
    a "config.nsh" file. This should hopefully make it easier to port the
    "packaging" target to CMake.
    
    Change-Id: I439fea5721c5b209a753044a8e9e8ac6fc5291c3
    Reviewed-on: https://code.wireshark.org/review/6345
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a70929c
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jan 6 10:44:37 2015 -0800

    CMake: Add an ENABLE_CODE_ANALYSIS option.
    
    Currently Visual Studio-only. Enabling it adds /analyze:WX- to
    LOCAL_CFLAGS, similar to config.nmake.
    
    Change-Id: Ida68831e85f5f04b9f84faa95a39fed24e5f490d
    Reviewed-on: https://code.wireshark.org/review/6346
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 087fea3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jan 6 10:36:37 2015 +0100

    DJI UAV: Add dissector to autotools and add modelines info
    
    Change-Id: I2a312af906ddf01ff05083a657f474a921ab95a3
    Reviewed-on: https://code.wireshark.org/review/6337
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit dd65274
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Tue Jan 6 16:20:04 2015 +0100

    Revert e65f581ffa86f6bfd566a9b66ca2c882f465727f, which
      reverts commit 89291ad4f3293893387b385a0800cad42215ddd4
    Protect the new macro with "m4_ifdef" instead.
    Add comments to keep the old and the new flags in sync.
    
    Change-Id: I37dea1a5c8d743f5dcf4a4d9ff38ff92200271d0
    Reviewed-on: https://code.wireshark.org/review/6343
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 1d7da82
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jan 6 10:41:01 2015 +0100

    DNS: fix no previous prototype for 'qname_labels_count' [-Wmissing-prototypes]
    
    Change-Id: I2c5b662f6b46d60a97a491ca8ec01b3f0e41fa56
    Reviewed-on: https://code.wireshark.org/review/6338
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5fb2f27
Author: Gerald Combs <gerald@zing.org>
Date:   Thu Jan 1 11:41:03 2015 -0800

    Qt: Add a context menu to the packet list header.
    
    Don't carry over the sort items from the GTK+ UI (for now, at least).
    Update some names. Add a column editor frame similar to the "Go to
    Packet" and "Search" frames.
    
    Change-Id: I1bd3834a26994de96894d2b7512bce2c19915c77
    Reviewed-on: https://code.wireshark.org/review/6277
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cbca7ee
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Jan 6 13:58:59 2015 +0100

    p_mul: Indicate if fletcher algorithm is used.
    
    The first version of ACP 142 uses the fletcher algorithm for checksum.
    Indicate if this (now old variant) checksum is used.
    
    Change-Id: Id6f3e7ecfcde022b339bdb956cd6f642a917076a
    Reviewed-on: https://code.wireshark.org/review/6342
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 0910b55
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Tue Jan 6 13:51:33 2015 +0100

    s5066ses: Fixed some missing sapid mappings.
    
    The previous s5066ses commit added sapid value strings but missed
    updating PDU type 21 and 25.
    
    Change-Id: I5cd4dba14eacdf2f590490a95b0cc62b04193b9e
    Reviewed-on: https://code.wireshark.org/review/6341
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit e8568c8
Author: Ricardo Cristian Ramirez <r.cristian.ramirez@gmail.com>
Date:   Sun Jan 4 02:19:12 2015 +0200

    s5066sis: Consume transport layer data in S5066sis
    
    S5066 spec describes a transport layer for some
    clients like Acp 142 and DMP but not for all of
    them. Since RCOP/UDOP header definition are given
    in S'5066 specification, consuming these header
    bytes in S'5066 SIS dissector may be appropriate
    
    Bug: 10827
    Change-Id: Iffdf5d567e1a417ccbafdac919f5a5200159d31b
    Reviewed-on: https://code.wireshark.org/review/6292
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 55de46f
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Jan 5 11:12:08 2015 -0500

    Replace ep_address_to_str with address_to_str.
    
    Change-Id: I4f1078b20f41800f72a751612703ad0d4c2ae87b
    Reviewed-on: https://code.wireshark.org/review/6323
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 124272e
Author: Anish Bhatt <anish@chelsio.com>
Date:   Mon Jan 5 22:50:44 2015 -0800

    [PROFINET] v2: Fix swapped MaintenanceRequired & MaintenanceDemanded bits
    
    Fix the correct code path this time.
    Bug: 10753
    
    Change-Id: I7bc2e74c91868986303e8b41b25e43a665be1860
    Reviewed-on: https://code.wireshark.org/review/6335
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit eb98b04
Author: Anish Bhatt <anish@chelsio.com>
Date:   Mon Jan 5 22:26:46 2015 -0800

    Revert "[PROFINET] Fix swapped MaintenanceRequired & MaintenanceDemanded bits"
    
    This reverts commit 0452f763fb0dd2cf7e38f0a127c306199a814c3e. Changes should
    have been made in ChannelProperties instead of Submodule state. Current
    implementation merely *appears* to be correct as we are reading it as a two bit
    value but instead should be addressing it as individual bits, little endian
    Bug: 10753
    
    Change-Id: Ia3bd088aeb376b8511d64352f62c4304e4129ba6
    Reviewed-on: https://code.wireshark.org/review/6334
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a7a1704
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Mon Jan 5 23:40:52 2015 +0000

    Minor CMake updates to better group build artefacts
    
    Move capchild, caputils, codecs and wsutil into a Libs group
    Move gtkui into UI group
    Move update-sminmpec into tools group
    
    Change-Id: Iaf2bfe4697265af2c3ed9c9d7de2d5d1ef3cafee
    Reviewed-on: https://code.wireshark.org/review/6332
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Graham Bloice <graham.bloice@trihedral.com>

commit 1176db2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 5 13:18:26 2015 -0800

    Squelch harmless compiler warnings.
    
    (Yes, we know, we're casting 16-bit integers to pointers.  That's
    because various generic maps need to be able to take arbitrary values as
    keys, and sometimes the arbitrary values aren't structures to which we
    point, but just integral values, and that's why GUINT_TO_POINTER()
    exists, but it doesn't do enough casting to suppress harmless warnings.)
    
    Change-Id: I1a9c68b4b1007f0a38017ba3570b94efb0b6845a
    Reviewed-on: https://code.wireshark.org/review/6329
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 318b8f8
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Mon Jan 5 20:41:45 2015 +0100

    Beginnings of dissection of the dji drones control protocol.
    
    Change-Id: Ifda0b97df7e25b535a5010f25c8e8e1af83cb532
    Reviewed-on: https://code.wireshark.org/review/6328
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 15a238a
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Mon Jan 5 20:35:25 2015 +0100

    Override optimization and other flags for make based generators.
    Before this patch it was not possible to override e.g. the optimization
    or debug flags in case the build type was set.
    
    Change-Id: I53bfddd27f87ad5482227f786af8c4728c5774fc
    Reviewed-on: https://code.wireshark.org/review/6327
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 13dbf52
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Mon Jan 5 11:37:44 2015 -0700

    Attempt to fix "make distcheck" on Ubuntu buildbot
    
    Change-Id: I6e7ea1e2aaf839fdb3af8a3a5a47aabbb12056ef
    Reviewed-on: https://code.wireshark.org/review/6326
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit cbc5faa
Author: Stephen Fisher <sfisher@sdf.org>
Date:   Sun Jan 4 22:19:24 2015 -0700

    Get rid of some GNU make extensions so users can build with
    the make that comes with *BSD and other systems now.
    
    Change-Id: Ib2eee8d37e7029202675bac35839b1c0d5fc5131
    Reviewed-on: https://code.wireshark.org/review/6320
    Reviewed-by: Stephen Fisher <sfisher@sdf.org>

commit 22b4ec9
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jan 4 21:40:05 2015 -0500

    Replace ep_display_to_address with wmem equivalent display_to_address.
    
    Almost all instances require using "manual" memory management, but it gets some ep_ calls out of the GUI.
    
    Change-Id: Ifa7303766b08d09442ccf3d7063cbe061578ecd9
    Reviewed-on: https://code.wireshark.org/review/6318
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9a7318a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jan 4 13:00:54 2015 +0100

    Wimax: fix no previous prototype for ... [-Wmissing-prototypes]
    
    Change-Id: I1dac7d362bab680c313766de19d51132d1ce6dfa
    Reviewed-on: https://code.wireshark.org/review/6298
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4270673
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 5 11:05:56 2015 +0100

    OSITP: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ied8e931541e8e570ef32376eec61779a32bbd493
    Reviewed-on: https://code.wireshark.org/review/6322
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b03a21a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jan 5 11:05:20 2015 +0100

    SMTP: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I234b9dad79e3327637f8cdcd406a49f9e7435f33
    Reviewed-on: https://code.wireshark.org/review/6321
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c411029
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jan 3 20:18:56 2015 +0100

    Update to QCustomPlot 1.3.0
    
    Reapply remove trailing whitespace and some spelling fixes
    Fix also a not ASCII caracter in qcustomplot.h
    
    Change-Id: Ibd5433015dd117f4d028c842a4add53041adbd11
    Reviewed-on: https://code.wireshark.org/review/6275
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 696fcdb
Author: Dario Lombardo <lomato@gmail.com>
Date:   Tue Dec 30 12:31:46 2014 +0100

    Added DNS statistics support
    
    This affects both the dissector (that has been added with a tap interface and a stats generator) and the UI (to recall the stats menu).
    
    Change-Id: I90658f7aa6707aa39bdd787a51b20fed4dbddc53
    Reviewed-on: https://code.wireshark.org/review/6236
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 087723a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 4 20:06:55 2015 -0800

    Suppress the check for ' as a formatting character on Windows.
    
    Change-Id: I006359faeeeb5d01ecdb57878c599c5e8a93a77f
    Reviewed-on: https://code.wireshark.org/review/6319
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fc39b9b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 4 17:43:19 2015 -0800

    In CMake, check for thousands-grouping support in the GLib printf routines.
    
    We do that with the autotools; do it with CMake as well.
    
    We could, in theory, handle thosands-grouping ourselves, on all
    platforms supporting ANSI C (for which read "all platforms we care
    about") by using localeconv()'s thousands_sep and grouping items, but
    that's a bit more work.
    
    Fix autotools' comment for that item while we're at it (it checks the
    GLib printf routines, not the system printf routines).
    
    Change-Id: I000f0f3b955d9b192ade15e3fabc46d6b48a052e
    Reviewed-on: https://code.wireshark.org/review/6317
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 533f857
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 4 16:31:49 2015 -0800

    Don't check for nl80211 stuff if we don't have libnl.
    
    While we're at it, do the checks in the same order that we do in
    autotools.
    
    Change-Id: Ie253cdeb740a5be4a5817ce4f7ed683aeea868c8
    Reviewed-on: https://code.wireshark.org/review/6316
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8fe6b04
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 4 16:25:51 2015 -0800

    Note why we only default to enabling libnl on Linux.
    
    (Just as we note why we only check for it on Linux in autotools.)
    
    Change-Id: I58c1f31fdf667ed554a4e911df13e5c864171ac0
    Reviewed-on: https://code.wireshark.org/review/6315
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 05fd11e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 4 16:11:56 2015 -0800

    Add a check for NL80211_PROTOCOL_FEATURE_SPLIT_WIPHY_DUMP.
    
    Just as we check for it in autotools, check for it in CMake.
    
    Change-Id: I342a3fcde6a5f8190dac67260f25c070b6f5430f
    Reviewed-on: https://code.wireshark.org/review/6314
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2f1ac87
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 4 14:10:56 2015 -0800

    Clean up handling of INET6.
    
    We wire it on, so we don't need a commented out wiring-it-on on Windows.
    
    Explain *why* we're wiring it on rather than doing checks for IPv6
    support.
    
    Change-Id: I205ba2456160f9dad48041f27c63a09cdcdc12d3
    Reviewed-on: https://code.wireshark.org/review/6313
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 553cdfd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 4 13:19:47 2015 -0800

    No need to #define HAVE_PYTHON.
    
    We don't check it (we don't support Python as an extension language -
    the experimental support was dropped).
    
    Change-Id: Iedbe1dc5095614676c7eb3026d02f421bdba0d1d
    Reviewed-on: https://code.wireshark.org/review/6312
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fac8356
Author: Hadriel Kaplan <hadriel@128technology.com>
Date:   Mon Dec 29 00:21:15 2014 -0500

    Make all Lua code use wmem not emem
    
    Changed all remaining code in wslua that was using emem, to use wmem or
    simpler methods.
    
    Bug: 9927
    Change-Id: I3d19a770e0fd77d996bdb6b61a76a722cc2bcd55
    Reviewed-on: https://code.wireshark.org/review/6109
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5653fce
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jan 4 12:58:49 2015 -0800

    No *pcap should have pcap_open() without the other remote extensions.
    
    WinPcap 3.0 introduced pcap_open(); it also introduced
    pcap_findalldevs_ex() and pcap_createsrcstr().  If you're going to put
    pcap_open() in libpcap, there's not much point to doing so but not also
    putting pcap_findalldevs_ex() and pcap_createsrcstr() there.
    
